var at=`
*,
*::before,
*::after {
  box-sizing: border-box;
}

.shiny-data-grid {
  --shiny-datagrid-font-size: 0.9em;
  --shiny-datagrid-padding: 0.3em 0.5em;
  --shiny-datagrid-grid-header-bgcolor: var(--bs-light, #eee);
  --shiny-datagrid-grid-header-gridlines-color: var(--bs-border-color, #ccc);
  --shiny-datagrid-grid-header-gridlines-style: solid;
  --shiny-datagrid-grid-gridlines-color: var(--bs-border-color, #ccc);
  --shiny-datagrid-grid-gridlines-style: solid;
  --shiny-datagrid-table-header-bottom-border: 1px solid;
  --shiny-datagrid-table-top-border: 1px solid;
  --shiny-datagrid-table-bottom-border: 1px solid;
  --shiny-datagrid-grid-body-hover-bgcolor: var(
    --shiny-datagrid-grid-header-bgcolor
  );
  --shiny-datagrid-grid-body-selected-bgcolor: #b4d5fe;
  --shiny-datagrid-grid-body-selected-color: var(--bs-dark);
}

.shiny-data-grid svg.sort-arrow {
  display: inline-block;
  width: 0.85em;
  height: 0.85em;
  margin-bottom: 0.15em;
}

.shiny-data-grid {
  max-width: 100%;
}
.shiny-data-grid > table {
  border-collapse: separate;
  border-spacing: 0;
}
.shiny-data-grid > table > thead {
  position: sticky;
  top: 0;
}
.shiny-data-grid > table > thead > tr > th {
  text-align: left;
  white-space: nowrap;
}
.shiny-data-grid > table > thead > tr > th:focus-visible {
  outline: 5px auto Highlight;
  outline: 5px auto -webkit-focus-ring-color;
}

.shiny-data-grid.shiny-data-grid-table {
  border-top: var(--shiny-datagrid-table-top-border);
}
.shiny-data-grid.shiny-data-grid-table.scrolling {
  border-bottom: var(--shiny-datagrid-table-bottom-border);
}
.shiny-data-grid.shiny-data-grid-table > table > thead > tr:last-child > th {
  border-bottom: var(--shiny-datagrid-table-header-bottom-border);
}
.shiny-data-grid.shiny-data-grid-table > table > tbody > tr[aria-selected=true] {
  --shiny-datagrid-grid-gridlines-color: var(
    --shiny-datagrid-grid-body-selected-bgcolor
  );
  background-color: var(--shiny-datagrid-grid-body-selected-bgcolor);
  color: var(--shiny-datagrid-grid-body-selected-color);
}

/*
 *
 * # GRID STYLES
 *
 */
.shiny-data-grid.shiny-data-grid-grid > table {
  font-size: var(--shiny-datagrid-font-size);
}
.shiny-data-grid.shiny-data-grid-grid > table > thead > tr > th {
  background-color: var(--shiny-datagrid-grid-header-bgcolor);
  padding: var(--shiny-datagrid-padding);
}
.shiny-data-grid.shiny-data-grid-grid > table > tbody > tr:focus-visible {
  outline: 5px auto Highlight;
  outline: 5px auto -webkit-focus-ring-color;
}
.shiny-data-grid.shiny-data-grid-grid > table > tbody > tr:hover {
  --shiny-datagrid-grid-gridlines-color: inherit;
  background-color: var(--shiny-datagrid-grid-body-hover-bgcolor);
}
.shiny-data-grid.shiny-data-grid-grid > table > tbody > tr[aria-selected=true] {
  --shiny-datagrid-grid-gridlines-color: var(
    --shiny-datagrid-grid-body-selected-bgcolor
  );
  background-color: var(--shiny-datagrid-grid-body-selected-bgcolor);
  color: var(--shiny-datagrid-grid-body-selected-color);
}
.shiny-data-grid.shiny-data-grid-grid > table > tbody > tr > td {
  padding: var(--shiny-datagrid-padding);
}

/* ## Grid borders */
.shiny-data-grid.shiny-data-grid-grid > table {
  border-collapse: separate;
}
.shiny-data-grid.shiny-data-grid-grid > table > thead > tr:first-child > th {
  border-top-style: var(--shiny-datagrid-grid-gridlines-style);
}
.shiny-data-grid.shiny-data-grid-grid > table > thead > tr > th {
  border: 1px var(--shiny-datagrid-grid-gridlines-style) var(--shiny-datagrid-grid-header-gridlines-color);
  border-top-style: none;
  border-left-style: none;
}
.shiny-data-grid.shiny-data-grid-grid > table > thead > tr > th:first-child {
  border-left-style: var(--shiny-datagrid-grid-gridlines-style);
}
.shiny-data-grid.shiny-data-grid-grid > table > tbody > tr > td {
  border: 1px var(--shiny-datagrid-grid-gridlines-style) var(--shiny-datagrid-grid-gridlines-color);
  border-top-style: none;
  border-left-style: none;
}
.shiny-data-grid.shiny-data-grid-grid > table > tbody > tr > td:first-child {
  border-left-style: var(--shiny-datagrid-grid-gridlines-style);
}
.shiny-data-grid.shiny-data-grid-grid.scrolling {
  border: var(--shiny-datagrid-grid-gridlines-style) 1px var(--shiny-datagrid-grid-header-gridlines-color);
}
.shiny-data-grid.shiny-data-grid-grid.scrolling > table > thead > tr:first-child > th {
  border-top-style: none;
}
.shiny-data-grid.shiny-data-grid-grid.scrolling > table > tbody > tr:last-child > td {
  border-bottom-style: none;
}
.shiny-data-grid.shiny-data-grid-grid.scrolling > table > thead > tr > th:first-child,
.shiny-data-grid.shiny-data-grid-grid.scrolling > table > tbody > tr > td:first-child {
  border-left-style: none;
}
.shiny-data-grid.shiny-data-grid-grid.scrolling > table > thead > tr > th:last-child,
.shiny-data-grid.shiny-data-grid-grid.scrolling > table > tbody > tr > td:last-child {
  border-right-style: none;
}`;var ue,h,pt,Kn,J,dt,_t,$e,mt,pe={},ht=[],qn=/acit|ex(?:s|g|n|p|$)|rph|grid|ows|mnc|ntw|ine[ch]|zoo|^ord|itera/i,he=Array.isArray;function z(e,n){for(var t in n)e[t]=n[t];return e}function vt(e){var n=e.parentNode;n&&n.removeChild(e)}function D(e,n,t){var o,r,i,l={};for(i in n)i=="key"?o=n[i]:i=="ref"?r=n[i]:l[i]=n[i];if(arguments.length>2&&(l.children=arguments.length>3?ue.call(arguments,2):t),typeof e=="function"&&e.defaultProps!=null)for(i in e.defaultProps)l[i]===void 0&&(l[i]=e.defaultProps[i]);return le(e,l,o,r,null)}function le(e,n,t,o,r){var i={type:e,props:n,key:t,ref:o,__k:null,__:null,__b:0,__e:null,__d:void 0,__c:null,__h:null,constructor:void 0,__v:r??++pt};return r==null&&h.vnode!=null&&h.vnode(i),i}function Me(){return{current:null}}function H(e){return e.children}function O(e,n){this.props=e,this.context=n}function se(e,n){if(n==null)return e.__?se(e.__,e.__.__k.indexOf(e)+1):null;for(var t;n<e.__k.length;n++)if((t=e.__k[n])!=null&&t.__e!=null)return t.__e;return typeof e.type=="function"?se(e):null}function yt(e){var n,t;if((e=e.__)!=null&&e.__c!=null){for(e.__e=e.__c.base=null,n=0;n<e.__k.length;n++)if((t=e.__k[n])!=null&&t.__e!=null){e.__e=e.__c.base=t.__e;break}return yt(e)}}function Fe(e){(!e.__d&&(e.__d=!0)&&J.push(e)&&!_e.__r++||dt!==h.debounceRendering)&&((dt=h.debounceRendering)||_t)(_e)}function _e(){var e,n,t,o,r,i,l,u;for(J.sort($e);e=J.shift();)e.__d&&(n=J.length,o=void 0,r=void 0,l=(i=(t=e).__v).__e,(u=t.__P)&&(o=[],(r=z({},i)).__v=i.__v+1,Ve(u,i,r,t.__n,u.ownerSVGElement!==void 0,i.__h!=null?[l]:null,o,l??se(i),i.__h),Rt(o,i),i.__e!=l&&yt(i)),J.length>n&&J.sort($e));_e.__r=0}function St(e,n,t,o,r,i,l,u,a,d){var s,g,f,c,p,_,m,v=o&&o.__k||ht,C=v.length;for(t.__k=[],s=0;s<n.length;s++)if((c=t.__k[s]=(c=n[s])==null||typeof c=="boolean"||typeof c=="function"?null:typeof c=="string"||typeof c=="number"||typeof c=="bigint"?le(null,c,null,null,c):he(c)?le(H,{children:c},null,null,null):c.__b>0?le(c.type,c.props,c.key,c.ref?c.ref:null,c.__v):c)!=null){if(c.__=t,c.__b=t.__b+1,(f=v[s])===null||f&&c.key==f.key&&c.type===f.type)v[s]=void 0;else for(g=0;g<C;g++){if((f=v[g])&&c.key==f.key&&c.type===f.type){v[g]=void 0;break}f=null}Ve(e,c,f=f||pe,r,i,l,u,a,d),p=c.__e,(g=c.ref)&&f.ref!=g&&(m||(m=[]),f.ref&&m.push(f.ref,null,c),m.push(g,c.__c||p,c)),p!=null?(_==null&&(_=p),typeof c.type=="function"&&c.__k===f.__k?c.__d=a=bt(c,a,e):a=wt(e,c,f,v,p,a),typeof t.type=="function"&&(t.__d=a)):a&&f.__e==a&&a.parentNode!=e&&(a=se(f))}for(t.__e=_,s=C;s--;)v[s]!=null&&(typeof t.type=="function"&&v[s].__e!=null&&v[s].__e==t.__d&&(t.__d=Ct(o).nextSibling),xt(v[s],v[s]));if(m)for(s=0;s<m.length;s++)Et(m[s],m[++s],m[++s])}function bt(e,n,t){for(var o,r=e.__k,i=0;r&&i<r.length;i++)(o=r[i])&&(o.__=e,n=typeof o.type=="function"?bt(o,n,t):wt(t,o,o,r,o.__e,n));return n}function P(e,n){return n=n||[],e==null||typeof e=="boolean"||(he(e)?e.some(function(t){P(t,n)}):n.push(e)),n}function wt(e,n,t,o,r,i){var l,u,a;if(n.__d!==void 0)l=n.__d,n.__d=void 0;else if(t==null||r!=i||r.parentNode==null)e:if(i==null||i.parentNode!==e)e.appendChild(r),l=null;else{for(u=i,a=0;(u=u.nextSibling)&&a<o.length;a+=1)if(u==r)break e;e.insertBefore(r,i),l=i}return l!==void 0?l:r.nextSibling}function Ct(e){var n,t,o;if(e.type==null||typeof e.type=="string")return e.__e;if(e.__k){for(n=e.__k.length-1;n>=0;n--)if((t=e.__k[n])&&(o=Ct(t)))return o}return null}function Wn(e,n,t,o,r){var i;for(i in t)i==="children"||i==="key"||i in n||me(e,i,null,t[i],o);for(i in n)r&&typeof n[i]!="function"||i==="children"||i==="key"||i==="value"||i==="checked"||t[i]===n[i]||me(e,i,n[i],t[i],o)}function ct(e,n,t){n[0]==="-"?e.setProperty(n,t??""):e[n]=t==null?"":typeof t!="number"||qn.test(n)?t:t+"px"}function me(e,n,t,o,r){var i;e:if(n==="style")if(typeof t=="string")e.style.cssText=t;else{if(typeof o=="string"&&(e.style.cssText=o=""),o)for(n in o)t&&n in t||ct(e.style,n,"");if(t)for(n in t)o&&t[n]===o[n]||ct(e.style,n,t[n])}else if(n[0]==="o"&&n[1]==="n")i=n!==(n=n.replace(/Capture$/,"")),n=n.toLowerCase()in e?n.toLowerCase().slice(2):n.slice(2),e.l||(e.l={}),e.l[n+i]=t,t?o||e.addEventListener(n,i?ft:gt,i):e.removeEventListener(n,i?ft:gt,i);else if(n!=="dangerouslySetInnerHTML"){if(r)n=n.replace(/xlink(H|:h)/,"h").replace(/sName$/,"s");else if(n!=="width"&&n!=="height"&&n!=="href"&&n!=="list"&&n!=="form"&&n!=="tabIndex"&&n!=="download"&&n!=="rowSpan"&&n!=="colSpan"&&n in e)try{e[n]=t??"";break e}catch{}typeof t=="function"||(t==null||t===!1&&n[4]!=="-"?e.removeAttribute(n):e.setAttribute(n,t))}}function gt(e){return this.l[e.type+!1](h.event?h.event(e):e)}function ft(e){return this.l[e.type+!0](h.event?h.event(e):e)}function Ve(e,n,t,o,r,i,l,u,a){var d,s,g,f,c,p,_,m,v,C,b,E,M,I,j,F=n.type;if(n.constructor!==void 0)return null;t.__h!=null&&(a=t.__h,u=n.__e=t.__e,n.__h=null,i=[u]),(d=h.__b)&&d(n);try{e:if(typeof F=="function"){if(m=n.props,v=(d=F.contextType)&&o[d.__c],C=d?v?v.props.value:d.__:o,t.__c?_=(s=n.__c=t.__c).__=s.__E:("prototype"in F&&F.prototype.render?n.__c=s=new F(m,C):(n.__c=s=new O(m,C),s.constructor=F,s.render=Jn),v&&v.sub(s),s.props=m,s.state||(s.state={}),s.context=C,s.__n=o,g=s.__d=!0,s.__h=[],s._sb=[]),s.__s==null&&(s.__s=s.state),F.getDerivedStateFromProps!=null&&(s.__s==s.state&&(s.__s=z({},s.__s)),z(s.__s,F.getDerivedStateFromProps(m,s.__s))),f=s.props,c=s.state,s.__v=n,g)F.getDerivedStateFromProps==null&&s.componentWillMount!=null&&s.componentWillMount(),s.componentDidMount!=null&&s.__h.push(s.componentDidMount);else{if(F.getDerivedStateFromProps==null&&m!==f&&s.componentWillReceiveProps!=null&&s.componentWillReceiveProps(m,C),!s.__e&&s.shouldComponentUpdate!=null&&s.shouldComponentUpdate(m,s.__s,C)===!1||n.__v===t.__v){for(n.__v!==t.__v&&(s.props=m,s.state=s.__s,s.__d=!1),s.__e=!1,n.__e=t.__e,n.__k=t.__k,n.__k.forEach(function(Z){Z&&(Z.__=n)}),b=0;b<s._sb.length;b++)s.__h.push(s._sb[b]);s._sb=[],s.__h.length&&l.push(s);break e}s.componentWillUpdate!=null&&s.componentWillUpdate(m,s.__s,C),s.componentDidUpdate!=null&&s.__h.push(function(){s.componentDidUpdate(f,c,p)})}if(s.context=C,s.props=m,s.__P=e,E=h.__r,M=0,"prototype"in F&&F.prototype.render){for(s.state=s.__s,s.__d=!1,E&&E(n),d=s.render(s.props,s.state,s.context),I=0;I<s._sb.length;I++)s.__h.push(s._sb[I]);s._sb=[]}else do s.__d=!1,E&&E(n),d=s.render(s.props,s.state,s.context),s.state=s.__s;while(s.__d&&++M<25);s.state=s.__s,s.getChildContext!=null&&(o=z(z({},o),s.getChildContext())),g||s.getSnapshotBeforeUpdate==null||(p=s.getSnapshotBeforeUpdate(f,c)),St(e,he(j=d!=null&&d.type===H&&d.key==null?d.props.children:d)?j:[j],n,t,o,r,i,l,u,a),s.base=n.__e,n.__h=null,s.__h.length&&l.push(s),_&&(s.__E=s.__=null),s.__e=!1}else i==null&&n.__v===t.__v?(n.__k=t.__k,n.__e=t.__e):n.__e=Xn(t.__e,n,t,o,r,i,l,a);(d=h.diffed)&&d(n)}catch(Z){n.__v=null,(a||i!=null)&&(n.__e=u,n.__h=!!a,i[i.indexOf(u)]=null),h.__e(Z,n,t)}}function Rt(e,n){h.__c&&h.__c(n,e),e.some(function(t){try{e=t.__h,t.__h=[],e.some(function(o){o.call(t)})}catch(o){h.__e(o,t.__v)}})}function Xn(e,n,t,o,r,i,l,u){var a,d,s,g=t.props,f=n.props,c=n.type,p=0;if(c==="svg"&&(r=!0),i!=null){for(;p<i.length;p++)if((a=i[p])&&"setAttribute"in a==!!c&&(c?a.localName===c:a.nodeType===3)){e=a,i[p]=null;break}}if(e==null){if(c===null)return document.createTextNode(f);e=r?document.createElementNS("http://www.w3.org/2000/svg",c):document.createElement(c,f.is&&f),i=null,u=!1}if(c===null)g===f||u&&e.data===f||(e.data=f);else{if(i=i&&ue.call(e.childNodes),d=(g=t.props||pe).dangerouslySetInnerHTML,s=f.dangerouslySetInnerHTML,!u){if(i!=null)for(g={},p=0;p<e.attributes.length;p++)g[e.attributes[p].name]=e.attributes[p].value;(s||d)&&(s&&(d&&s.__html==d.__html||s.__html===e.innerHTML)||(e.innerHTML=s&&s.__html||""))}if(Wn(e,f,g,r,u),s)n.__k=[];else if(St(e,he(p=n.props.children)?p:[p],n,t,o,r&&c!=="foreignObject",i,l,i?i[0]:t.__k&&se(t,0),u),i!=null)for(p=i.length;p--;)i[p]!=null&&vt(i[p]);u||("value"in f&&(p=f.value)!==void 0&&(p!==e.value||c==="progress"&&!p||c==="option"&&p!==g.value)&&me(e,"value",p,g.value,!1),"checked"in f&&(p=f.checked)!==void 0&&p!==e.checked&&me(e,"checked",p,g.checked,!1))}return e}function Et(e,n,t){try{typeof e=="function"?e(n):e.current=n}catch(o){h.__e(o,t)}}function xt(e,n,t){var o,r;if(h.unmount&&h.unmount(e),(o=e.ref)&&(o.current&&o.current!==e.__e||Et(o,null,n)),(o=e.__c)!=null){if(o.componentWillUnmount)try{o.componentWillUnmount()}catch(i){h.__e(i,n)}o.base=o.__P=null,e.__c=void 0}if(o=e.__k)for(r=0;r<o.length;r++)o[r]&&xt(o[r],n,t||typeof e.type!="function");t||e.__e==null||vt(e.__e),e.__=e.__e=e.__d=void 0}function Jn(e,n,t){return this.constructor(e,t)}function ee(e,n,t){var o,r,i;h.__&&h.__(e,n),r=(o=typeof t=="function")?null:t&&t.__k||n.__k,i=[],Ve(n,e=(!o&&t||n).__k=D(H,null,[e]),r||pe,pe,n.ownerSVGElement!==void 0,!o&&t?[t]:r?null:n.firstChild?ue.call(n.childNodes):null,i,!o&&t?t:r?r.__e:n.firstChild,o),Rt(i,e)}function Ie(e,n){ee(e,n,Ie)}function $t(e,n,t){var o,r,i,l,u=z({},e.props);for(i in e.type&&e.type.defaultProps&&(l=e.type.defaultProps),n)i=="key"?o=n[i]:i=="ref"?r=n[i]:u[i]=n[i]===void 0&&l!==void 0?l[i]:n[i];return arguments.length>2&&(u.children=arguments.length>3?ue.call(arguments,2):t),le(e.type,u,o||e.key,r||e.ref,null)}function De(e,n){var t={__c:n="__cC"+mt++,__:e,Consumer:function(o,r){return o.children(r)},Provider:function(o){var r,i;return this.getChildContext||(r=[],(i={})[n]=this,this.getChildContext=function(){return i},this.shouldComponentUpdate=function(l){this.props.value!==l.value&&r.some(function(u){u.__e=!0,Fe(u)})},this.sub=function(l){r.push(l);var u=l.componentWillUnmount;l.componentWillUnmount=function(){r.splice(r.indexOf(l),1),u&&u.call(l)}}),o.children}};return t.Provider.__=t.Consumer.contextType=t}ue=ht.slice,h={__e:function(e,n,t,o){for(var r,i,l;n=n.__;)if((r=n.__c)&&!r.__)try{if((i=r.constructor)&&i.getDerivedStateFromError!=null&&(r.setState(i.getDerivedStateFromError(e)),l=r.__d),r.componentDidCatch!=null&&(r.componentDidCatch(e,o||{}),l=r.__d),l)return r.__E=r}catch(u){e=u}throw e}},pt=0,Kn=function(e){return e!=null&&e.constructor===void 0},O.prototype.setState=function(e,n){var t;t=this.__s!=null&&this.__s!==this.state?this.__s:this.__s=z({},this.state),typeof e=="function"&&(e=e(z({},t),this.props)),e&&z(t,e),e!=null&&this.__v&&(n&&this._sb.push(n),Fe(this))},O.prototype.forceUpdate=function(e){this.__v&&(this.__e=!0,e&&this.__h.push(e),Fe(this))},O.prototype.render=H,J=[],_t=typeof Promise=="function"?Promise.prototype.then.bind(Promise.resolve()):setTimeout,$e=function(e,n){return e.__v.__b-n.__v.__b},_e.__r=0,mt=0;var K,w,Te,Ft,te=0,Ot=[],ve=[],Mt=h.__b,Vt=h.__r,It=h.diffed,Dt=h.__c,Tt=h.unmount;function ne(e,n){h.__h&&h.__h(w,e,te||n),te=0;var t=w.__H||(w.__H={__:[],__h:[]});return e>=t.__.length&&t.__.push({__V:ve}),t.__[e]}function T(e){return te=1,ae(Lt,e)}function ae(e,n,t){var o=ne(K++,2);if(o.t=e,!o.__c&&(o.__=[t?t(n):Lt(void 0,n),function(u){var a=o.__N?o.__N[0]:o.__[0],d=o.t(a,u);a!==d&&(o.__N=[d,o.__[1]],o.__c.setState({}))}],o.__c=w,!w.u)){var r=function(u,a,d){if(!o.__c.__H)return!0;var s=o.__c.__H.__.filter(function(f){return f.__c});if(s.every(function(f){return!f.__N}))return!i||i.call(this,u,a,d);var g=!1;return s.forEach(function(f){if(f.__N){var c=f.__[0];f.__=f.__N,f.__N=void 0,c!==f.__[0]&&(g=!0)}}),!(!g&&o.__c.props===u)&&(!i||i.call(this,u,a,d))};w.u=!0;var i=w.shouldComponentUpdate,l=w.componentWillUpdate;w.componentWillUpdate=function(u,a,d){if(this.__e){var s=i;i=void 0,r(u,a,d),i=s}l&&l.call(this,u,a,d)},w.shouldComponentUpdate=r}return o.__N||o.__}function G(e,n){var t=ne(K++,3);!h.__s&&Oe(t.__H,n)&&(t.__=e,t.i=n,w.__H.__h.push(t))}function L(e,n){var t=ne(K++,4);!h.__s&&Oe(t.__H,n)&&(t.__=e,t.i=n,w.__h.push(t))}function Y(e){return te=5,B(function(){return{current:e}},[])}function kt(e,n,t){te=6,L(function(){return typeof e=="function"?(e(n()),function(){return e(null)}):e?(e.current=n(),function(){return e.current=null}):void 0},t==null?t:t.concat(e))}function B(e,n){var t=ne(K++,7);return Oe(t.__H,n)?(t.__V=e(),t.i=n,t.__h=e,t.__V):t.__}function Se(e,n){return te=8,B(function(){return e},n)}function Nt(e){var n=w.context[e.__c],t=ne(K++,9);return t.c=e,n?(t.__==null&&(t.__=!0,n.sub(w)),n.props.value):e.__}function Ht(e,n){h.useDebugValue&&h.useDebugValue(n?n(e):e)}function Pt(){var e=ne(K++,11);if(!e.__){for(var n=w.__v;n!==null&&!n.__m&&n.__!==null;)n=n.__;var t=n.__m||(n.__m=[0,0]);e.__="P"+t[0]+"-"+t[1]++}return e.__}function Yn(){for(var e;e=Ot.shift();)if(e.__P&&e.__H)try{e.__H.__h.forEach(ye),e.__H.__h.forEach(Ae),e.__H.__h=[]}catch(n){e.__H.__h=[],h.__e(n,e.__v)}}h.__b=function(e){w=null,Mt&&Mt(e)},h.__r=function(e){Vt&&Vt(e),K=0;var n=(w=e.__c).__H;n&&(Te===w?(n.__h=[],w.__h=[],n.__.forEach(function(t){t.__N&&(t.__=t.__N),t.__V=ve,t.__N=t.i=void 0})):(n.__h.forEach(ye),n.__h.forEach(Ae),n.__h=[],K=0)),Te=w},h.diffed=function(e){It&&It(e);var n=e.__c;n&&n.__H&&(n.__H.__h.length&&(Ot.push(n)!==1&&Ft===h.requestAnimationFrame||((Ft=h.requestAnimationFrame)||Qn)(Yn)),n.__H.__.forEach(function(t){t.i&&(t.__H=t.i),t.__V!==ve&&(t.__=t.__V),t.i=void 0,t.__V=ve})),Te=w=null},h.__c=function(e,n){n.some(function(t){try{t.__h.forEach(ye),t.__h=t.__h.filter(function(o){return!o.__||Ae(o)})}catch(o){n.some(function(r){r.__h&&(r.__h=[])}),n=[],h.__e(o,t.__v)}}),Dt&&Dt(e,n)},h.unmount=function(e){Tt&&Tt(e);var n,t=e.__c;t&&t.__H&&(t.__H.__.forEach(function(o){try{ye(o)}catch(r){n=r}}),t.__H=void 0,n&&h.__e(n,t.__v))};var At=typeof requestAnimationFrame=="function";function Qn(e){var n,t=function(){clearTimeout(o),At&&cancelAnimationFrame(n),setTimeout(e)},o=setTimeout(t,100);At&&(n=requestAnimationFrame(t))}function ye(e){var n=w,t=e.__c;typeof t=="function"&&(e.__c=void 0,t()),w=n}function Ae(e){var n=w;e.__c=e.__(),w=n}function Oe(e,n){return!e||e.length!==n.length||n.some(function(t,o){return t!==e[o]})}function Lt(e,n){return typeof n=="function"?n(e):n}function Xt(e,n){for(var t in n)e[t]=n[t];return e}function Ne(e,n){for(var t in e)if(t!=="__source"&&!(t in n))return!0;for(var o in n)if(o!=="__source"&&e[o]!==n[o])return!0;return!1}function ke(e,n){return e===n&&(e!==0||1/e==1/n)||e!=e&&n!=n}function He(e){this.props=e}function Zn(e,n){function t(r){var i=this.props.ref,l=i==r.ref;return!l&&i&&(i.call?i(null):i.current=null),n?!n(this.props,r)||!l:Ne(this.props,r)}function o(r){return this.shouldComponentUpdate=t,D(e,r)}return o.displayName="Memo("+(e.displayName||e.name)+")",o.prototype.isReactComponent=!0,o.__f=!0,o}(He.prototype=new O).isPureReactComponent=!0,He.prototype.shouldComponentUpdate=function(e,n){return Ne(this.props,e)||Ne(this.state,n)};var zt=h.__b;h.__b=function(e){e.type&&e.type.__f&&e.ref&&(e.props.ref=e.ref,e.ref=null),zt&&zt(e)};var eo=typeof Symbol<"u"&&Symbol.for&&Symbol.for("react.forward_ref")||3911;function to(e){function n(t){var o=Xt({},t);return delete o.ref,e(o,t.ref||null)}return n.$$typeof=eo,n.render=n,n.prototype.isReactComponent=n.__f=!0,n.displayName="ForwardRef("+(e.displayName||e.name)+")",n}var Gt=function(e,n){return e==null?null:P(P(e).map(n))},no={map:Gt,forEach:Gt,count:function(e){return e?P(e).length:0},only:function(e){var n=P(e);if(n.length!==1)throw"Children.only";return n[0]},toArray:P},oo=h.__e;h.__e=function(e,n,t,o){if(e.then){for(var r,i=n;i=i.__;)if((r=i.__c)&&r.__c)return n.__e==null&&(n.__e=t.__e,n.__k=t.__k),r.__c(e,n)}oo(e,n,t,o)};var Bt=h.unmount;function Jt(e,n,t){return e&&(e.__c&&e.__c.__H&&(e.__c.__H.__.forEach(function(o){typeof o.__c=="function"&&o.__c()}),e.__c.__H=null),(e=Xt({},e)).__c!=null&&(e.__c.__P===t&&(e.__c.__P=n),e.__c=null),e.__k=e.__k&&e.__k.map(function(o){return Jt(o,n,t)})),e}function Yt(e,n,t){return e&&(e.__v=null,e.__k=e.__k&&e.__k.map(function(o){return Yt(o,n,t)}),e.__c&&e.__c.__P===n&&(e.__e&&t.insertBefore(e.__e,e.__d),e.__c.__e=!0,e.__c.__P=t)),e}function be(){this.__u=0,this.t=null,this.__b=null}function Qt(e){var n=e.__.__c;return n&&n.__a&&n.__a(e)}function ro(e){var n,t,o;function r(i){if(n||(n=e()).then(function(l){t=l.default||l},function(l){o=l}),o)throw o;if(!t)throw n;return D(t,i)}return r.displayName="Lazy",r.__f=!0,r}function de(){this.u=null,this.o=null}h.unmount=function(e){var n=e.__c;n&&n.__R&&n.__R(),n&&e.__h===!0&&(e.type=null),Bt&&Bt(e)},(be.prototype=new O).__c=function(e,n){var t=n.__c,o=this;o.t==null&&(o.t=[]),o.t.push(t);var r=Qt(o.__v),i=!1,l=function(){i||(i=!0,t.__R=null,r?r(u):u())};t.__R=l;var u=function(){if(!--o.__u){if(o.state.__a){var d=o.state.__a;o.__v.__k[0]=Yt(d,d.__c.__P,d.__c.__O)}var s;for(o.setState({__a:o.__b=null});s=o.t.pop();)s.forceUpdate()}},a=n.__h===!0;o.__u++||a||o.setState({__a:o.__b=o.__v.__k[0]}),e.then(l,l)},be.prototype.componentWillUnmount=function(){this.t=[]},be.prototype.render=function(e,n){if(this.__b){if(this.__v.__k){var t=document.createElement("div"),o=this.__v.__k[0].__c;this.__v.__k[0]=Jt(this.__b,t,o.__O=o.__P)}this.__b=null}var r=n.__a&&D(H,null,e.fallback);return r&&(r.__h=null),[D(H,null,n.__a?null:e.children),r]};var Ut=function(e,n,t){if(++t[1]===t[0]&&e.o.delete(n),e.props.revealOrder&&(e.props.revealOrder[0]!=="t"||!e.o.size))for(t=e.u;t;){for(;t.length>3;)t.pop()();if(t[1]<t[0])break;e.u=t=t[2]}};function io(e){return this.getChildContext=function(){return e.context},e.children}function lo(e){var n=this,t=e.i;n.componentWillUnmount=function(){ee(null,n.l),n.l=null,n.i=null},n.i&&n.i!==t&&n.componentWillUnmount(),e.__v?(n.l||(n.i=t,n.l={nodeType:1,parentNode:t,childNodes:[],appendChild:function(o){this.childNodes.push(o),n.i.appendChild(o)},insertBefore:function(o,r){this.childNodes.push(o),n.i.appendChild(o)},removeChild:function(o){this.childNodes.splice(this.childNodes.indexOf(o)>>>1,1),n.i.removeChild(o)}}),ee(D(io,{context:n.context},e.__v),n.l)):n.l&&n.componentWillUnmount()}function so(e,n){var t=D(lo,{__v:e,i:n});return t.containerInfo=n,t}(de.prototype=new O).__a=function(e){var n=this,t=Qt(n.__v),o=n.o.get(e);return o[0]++,function(r){var i=function(){n.props.revealOrder?(o.push(r),Ut(n,e,o)):r()};t?t(i):i()}},de.prototype.render=function(e){this.u=null,this.o=new Map;var n=P(e.children);e.revealOrder&&e.revealOrder[0]==="b"&&n.reverse();for(var t=n.length;t--;)this.o.set(n[t],this.u=[1,0,this.u]);return e.children},de.prototype.componentDidUpdate=de.prototype.componentDidMount=function(){var e=this;this.o.forEach(function(n,t){Ut(e,t,n)})};var Zt=typeof Symbol<"u"&&Symbol.for&&Symbol.for("react.element")||60103,uo=/^(?:accent|alignment|arabic|baseline|cap|clip(?!PathU)|color|dominant|fill|flood|font|glyph(?!R)|horiz|image(!S)|letter|lighting|marker(?!H|W|U)|overline|paint|pointer|shape|stop|strikethrough|stroke|text(?!L)|transform|underline|unicode|units|v|vector|vert|word|writing|x(?!C))[A-Z]/,ao=/^on(Ani|Tra|Tou|BeforeInp|Compo)/,co=/[A-Z0-9]/g,go=typeof document<"u",fo=function(e){return(typeof Symbol<"u"&&typeof Symbol()=="symbol"?/fil|che|rad/:/fil|che|ra/).test(e)};function Pe(e,n,t){return n.__k==null&&(n.textContent=""),ee(e,n),typeof t=="function"&&t(),e?e.__c:null}function en(e,n,t){return Ie(e,n),typeof t=="function"&&t(),e?e.__c:null}O.prototype.isReactComponent={},["componentWillMount","componentWillReceiveProps","componentWillUpdate"].forEach(function(e){Object.defineProperty(O.prototype,e,{configurable:!0,get:function(){return this["UNSAFE_"+e]},set:function(n){Object.defineProperty(this,e,{configurable:!0,writable:!0,value:n})}})});var jt=h.event;function po(){}function _o(){return this.cancelBubble}function mo(){return this.defaultPrevented}h.event=function(e){return jt&&(e=jt(e)),e.persist=po,e.isPropagationStopped=_o,e.isDefaultPrevented=mo,e.nativeEvent=e};var Le,ho={enumerable:!1,configurable:!0,get:function(){return this.class}},Kt=h.vnode;h.vnode=function(e){typeof e.type=="string"&&function(n){var t=n.props,o=n.type,r={};for(var i in t){var l=t[i];if(!(i==="value"&&"defaultValue"in t&&l==null||go&&i==="children"&&o==="noscript"||i==="class"||i==="className")){var u=i.toLowerCase();i==="defaultValue"&&"value"in t&&t.value==null?i="value":i==="download"&&l===!0?l="":u==="ondoubleclick"?i="ondblclick":u!=="onchange"||o!=="input"&&o!=="textarea"||fo(t.type)?u==="onfocus"?i="onfocusin":u==="onblur"?i="onfocusout":ao.test(i)?i=u:o.indexOf("-")===-1&&uo.test(i)?i=i.replace(co,"-$&").toLowerCase():l===null&&(l=void 0):u=i="oninput",u==="oninput"&&r[i=u]&&(i="oninputCapture"),r[i]=l}}o=="select"&&r.multiple&&Array.isArray(r.value)&&(r.value=P(t.children).forEach(function(a){a.props.selected=r.value.indexOf(a.props.value)!=-1})),o=="select"&&r.defaultValue!=null&&(r.value=P(t.children).forEach(function(a){a.props.selected=r.multiple?r.defaultValue.indexOf(a.props.value)!=-1:r.defaultValue==a.props.value})),t.class&&!t.className?(r.class=t.class,Object.defineProperty(r,"className",ho)):(t.className&&!t.class||t.class&&t.className)&&(r.class=r.className=t.className),n.props=r}(e),e.$$typeof=Zt,Kt&&Kt(e)};var qt=h.__r;h.__r=function(e){qt&&qt(e),Le=e.__c};var Wt=h.diffed;h.diffed=function(e){Wt&&Wt(e);var n=e.props,t=e.__e;t!=null&&e.type==="textarea"&&"value"in n&&n.value!==t.value&&(t.value=n.value==null?"":n.value),Le=null};var vo={ReactCurrentDispatcher:{current:{readContext:function(e){return Le.__n[e.__c].props.value}}}};function yo(e){return D.bind(null,e)}function tn(e){return!!e&&e.$$typeof===Zt}function So(e){return tn(e)?$t.apply(null,arguments):e}function ze(e){return!!e.__k&&(ee(null,e),!0)}function bo(e){return e&&(e.base||e.nodeType===1&&e)||null}var wo=function(e,n){return e(n)},Co=function(e,n){return e(n)},Ge=H;function nn(e){e()}function Ro(e){return e}function Eo(){return[!1,nn]}var xo=L;function $o(e,n){var t=n(),o=T({h:{__:t,v:n}}),r=o[0].h,i=o[1];return L(function(){r.__=t,r.v=n,ke(r.__,n())||i({h:r})},[e,t,n]),G(function(){return ke(r.__,r.v())||i({h:r}),e(function(){ke(r.__,r.v())||i({h:r})})},[e]),t}var S={useState:T,useId:Pt,useReducer:ae,useEffect:G,useLayoutEffect:L,useInsertionEffect:xo,useTransition:Eo,useDeferredValue:Ro,useSyncExternalStore:$o,startTransition:nn,useRef:Y,useImperativeHandle:kt,useMemo:B,useCallback:Se,useContext:Nt,useDebugValue:Ht,version:"17.0.2",Children:no,render:Pe,hydrate:en,unmountComponentAtNode:ze,createPortal:so,createElement:D,createContext:De,createFactory:yo,cloneElement:So,createRef:Me,Fragment:H,isValidElement:tn,findDOMNode:bo,Component:O,PureComponent:He,memo:Zn,forwardRef:to,flushSync:Co,unstable_batchedUpdates:wo,StrictMode:Ge,Suspense:be,SuspenseList:de,lazy:ro,__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED:vo};function q(e,n){return typeof e=="function"?e(n):e}function k(e,n){return t=>{n.setState(o=>({...o,[e]:q(t,o[e])}))}}function Ee(e){return e instanceof Function}function Fo(e){return Array.isArray(e)&&e.every(n=>typeof n=="number")}function Mo(e,n){let t=[],o=r=>{r.forEach(i=>{t.push(i);let l=n(i);l!=null&&l.length&&o(l)})};return o(e),t}function y(e,n,t){let o=[],r;return()=>{let i;t.key&&t.debug&&(i=Date.now());let l=e();if(!(l.length!==o.length||l.some((d,s)=>o[s]!==d)))return r;o=l;let a;if(t.key&&t.debug&&(a=Date.now()),r=n(...l),t==null||t.onChange==null||t.onChange(r),t.key&&t.debug&&t!=null&&t.debug()){let d=Math.round((Date.now()-i)*100)/100,s=Math.round((Date.now()-a)*100)/100,g=s/16,f=(c,p)=>{for(c=String(c);c.length<p;)c=" "+c;return c};console.info(`%c\u23F1 ${f(s,5)} /${f(d,5)} ms`,`
            font-size: .6rem;
            font-weight: bold;
            color: hsl(${Math.max(0,Math.min(120-120*g,120))}deg 100% 31%);`,t?.key)}return r}}function Vo(e,n,t,o){var r,i;let u={...e._getDefaultColumnDef(),...n},a=u.accessorKey,d=(r=(i=u.id)!=null?i:a?a.replace(".","_"):void 0)!=null?r:typeof u.header=="string"?u.header:void 0,s;if(u.accessorFn?s=u.accessorFn:a&&(a.includes(".")?s=f=>{let c=f;for(let _ of a.split(".")){var p;c=(p=c)==null?void 0:p[_]}return c}:s=f=>f[u.accessorKey]),!d)throw new Error;let g={id:`${String(d)}`,accessorFn:s,parent:o,depth:t,columnDef:u,columns:[],getFlatColumns:y(()=>[!0],()=>{var f;return[g,...(f=g.columns)==null?void 0:f.flatMap(c=>c.getFlatColumns())]},{key:"column.getFlatColumns",debug:()=>{var f;return(f=e.options.debugAll)!=null?f:e.options.debugColumns}}),getLeafColumns:y(()=>[e._getOrderColumnsFn()],f=>{var c;if((c=g.columns)!=null&&c.length){let p=g.columns.flatMap(_=>_.getLeafColumns());return f(p)}return[g]},{key:"column.getLeafColumns",debug:()=>{var f;return(f=e.options.debugAll)!=null?f:e.options.debugColumns}})};return g=e._features.reduce((f,c)=>Object.assign(f,c.createColumn==null?void 0:c.createColumn(g,e)),g),g}function rn(e,n,t){var o;let i={id:(o=t.id)!=null?o:n.id,column:n,index:t.index,isPlaceholder:!!t.isPlaceholder,placeholderId:t.placeholderId,depth:t.depth,subHeaders:[],colSpan:0,rowSpan:0,headerGroup:null,getLeafHeaders:()=>{let l=[],u=a=>{a.subHeaders&&a.subHeaders.length&&a.subHeaders.map(u),l.push(a)};return u(i),l},getContext:()=>({table:e,header:i,column:n})};return e._features.forEach(l=>{Object.assign(i,l.createHeader==null?void 0:l.createHeader(i,e))}),i}var Io={createTable:e=>({getHeaderGroups:y(()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right],(n,t,o,r)=>{var i,l;let u=(i=o?.map(g=>t.find(f=>f.id===g)).filter(Boolean))!=null?i:[],a=(l=r?.map(g=>t.find(f=>f.id===g)).filter(Boolean))!=null?l:[],d=t.filter(g=>!(o!=null&&o.includes(g.id))&&!(r!=null&&r.includes(g.id)));return we(n,[...u,...d,...a],e)},{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getCenterHeaderGroups:y(()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right],(n,t,o,r)=>(t=t.filter(i=>!(o!=null&&o.includes(i.id))&&!(r!=null&&r.includes(i.id))),we(n,t,e,"center")),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getLeftHeaderGroups:y(()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.left],(n,t,o)=>{var r;let i=(r=o?.map(l=>t.find(u=>u.id===l)).filter(Boolean))!=null?r:[];return we(n,i,e,"left")},{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getRightHeaderGroups:y(()=>[e.getAllColumns(),e.getVisibleLeafColumns(),e.getState().columnPinning.right],(n,t,o)=>{var r;let i=(r=o?.map(l=>t.find(u=>u.id===l)).filter(Boolean))!=null?r:[];return we(n,i,e,"right")},{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getFooterGroups:y(()=>[e.getHeaderGroups()],n=>[...n].reverse(),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getLeftFooterGroups:y(()=>[e.getLeftHeaderGroups()],n=>[...n].reverse(),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getCenterFooterGroups:y(()=>[e.getCenterHeaderGroups()],n=>[...n].reverse(),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getRightFooterGroups:y(()=>[e.getRightHeaderGroups()],n=>[...n].reverse(),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getFlatHeaders:y(()=>[e.getHeaderGroups()],n=>n.map(t=>t.headers).flat(),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getLeftFlatHeaders:y(()=>[e.getLeftHeaderGroups()],n=>n.map(t=>t.headers).flat(),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getCenterFlatHeaders:y(()=>[e.getCenterHeaderGroups()],n=>n.map(t=>t.headers).flat(),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getRightFlatHeaders:y(()=>[e.getRightHeaderGroups()],n=>n.map(t=>t.headers).flat(),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getCenterLeafHeaders:y(()=>[e.getCenterFlatHeaders()],n=>n.filter(t=>{var o;return!((o=t.subHeaders)!=null&&o.length)}),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getLeftLeafHeaders:y(()=>[e.getLeftFlatHeaders()],n=>n.filter(t=>{var o;return!((o=t.subHeaders)!=null&&o.length)}),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getRightLeafHeaders:y(()=>[e.getRightFlatHeaders()],n=>n.filter(t=>{var o;return!((o=t.subHeaders)!=null&&o.length)}),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}}),getLeafHeaders:y(()=>[e.getLeftHeaderGroups(),e.getCenterHeaderGroups(),e.getRightHeaderGroups()],(n,t,o)=>{var r,i,l,u,a,d;return[...(r=(i=n[0])==null?void 0:i.headers)!=null?r:[],...(l=(u=t[0])==null?void 0:u.headers)!=null?l:[],...(a=(d=o[0])==null?void 0:d.headers)!=null?a:[]].map(s=>s.getLeafHeaders()).flat()},{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugHeaders}})})};function we(e,n,t,o){var r,i;let l=0,u=function(f,c){c===void 0&&(c=1),l=Math.max(l,c),f.filter(p=>p.getIsVisible()).forEach(p=>{var _;(_=p.columns)!=null&&_.length&&u(p.columns,c+1)},0)};u(e);let a=[],d=(f,c)=>{let p={depth:c,id:[o,`${c}`].filter(Boolean).join("_"),headers:[]},_=[];f.forEach(m=>{let v=[..._].reverse()[0],C=m.column.depth===p.depth,b,E=!1;if(C&&m.column.parent?b=m.column.parent:(b=m.column,E=!0),v&&v?.column===b)v.subHeaders.push(m);else{let M=rn(t,b,{id:[o,c,b.id,m?.id].filter(Boolean).join("_"),isPlaceholder:E,placeholderId:E?`${_.filter(I=>I.column===b).length}`:void 0,depth:c,index:_.length});M.subHeaders.push(m),_.push(M)}p.headers.push(m),m.headerGroup=p}),a.push(p),c>0&&d(_,c-1)},s=n.map((f,c)=>rn(t,f,{depth:l,index:c}));d(s,l-1),a.reverse();let g=f=>f.filter(p=>p.column.getIsVisible()).map(p=>{let _=0,m=0,v=[0];p.subHeaders&&p.subHeaders.length?(v=[],g(p.subHeaders).forEach(b=>{let{colSpan:E,rowSpan:M}=b;_+=E,v.push(M)})):_=1;let C=Math.min(...v);return m=m+C,p.colSpan=_,p.rowSpan=m,{colSpan:_,rowSpan:m}});return g((r=(i=a[0])==null?void 0:i.headers)!=null?r:[]),a}var Ce={size:150,minSize:20,maxSize:Number.MAX_SAFE_INTEGER},Be=()=>({startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,isResizingColumn:!1,columnSizingStart:[]}),Do={getDefaultColumnDef:()=>Ce,getInitialState:e=>({columnSizing:{},columnSizingInfo:Be(),...e}),getDefaultOptions:e=>({columnResizeMode:"onEnd",onColumnSizingChange:k("columnSizing",e),onColumnSizingInfoChange:k("columnSizingInfo",e)}),createColumn:(e,n)=>({getSize:()=>{var t,o,r;let i=n.getState().columnSizing[e.id];return Math.min(Math.max((t=e.columnDef.minSize)!=null?t:Ce.minSize,(o=i??e.columnDef.size)!=null?o:Ce.size),(r=e.columnDef.maxSize)!=null?r:Ce.maxSize)},getStart:t=>{let o=t?t==="left"?n.getLeftVisibleLeafColumns():n.getRightVisibleLeafColumns():n.getVisibleLeafColumns(),r=o.findIndex(i=>i.id===e.id);if(r>0){let i=o[r-1];return i.getStart(t)+i.getSize()}return 0},resetSize:()=>{n.setColumnSizing(t=>{let{[e.id]:o,...r}=t;return r})},getCanResize:()=>{var t,o;return((t=e.columnDef.enableResizing)!=null?t:!0)&&((o=n.options.enableColumnResizing)!=null?o:!0)},getIsResizing:()=>n.getState().columnSizingInfo.isResizingColumn===e.id}),createHeader:(e,n)=>({getSize:()=>{let t=0,o=r=>{if(r.subHeaders.length)r.subHeaders.forEach(o);else{var i;t+=(i=r.column.getSize())!=null?i:0}};return o(e),t},getStart:()=>{if(e.index>0){let t=e.headerGroup.headers[e.index-1];return t.getStart()+t.getSize()}return 0},getResizeHandler:()=>{let t=n.getColumn(e.column.id),o=t?.getCanResize();return r=>{if(!t||!o||(r.persist==null||r.persist(),Ue(r)&&r.touches&&r.touches.length>1))return;let i=e.getSize(),l=e?e.getLeafHeaders().map(_=>[_.column.id,_.column.getSize()]):[[t.id,t.getSize()]],u=Ue(r)?Math.round(r.touches[0].clientX):r.clientX,a={},d=(_,m)=>{typeof m=="number"&&(n.setColumnSizingInfo(v=>{var C,b;let E=m-((C=v?.startOffset)!=null?C:0),M=Math.max(E/((b=v?.startSize)!=null?b:0),-.999999);return v.columnSizingStart.forEach(I=>{let[j,F]=I;a[j]=Math.round(Math.max(F+F*M,0)*100)/100}),{...v,deltaOffset:E,deltaPercentage:M}}),(n.options.columnResizeMode==="onChange"||_==="end")&&n.setColumnSizing(v=>({...v,...a})))},s=_=>d("move",_),g=_=>{d("end",_),n.setColumnSizingInfo(m=>({...m,isResizingColumn:!1,startOffset:null,startSize:null,deltaOffset:null,deltaPercentage:null,columnSizingStart:[]}))},f={moveHandler:_=>s(_.clientX),upHandler:_=>{document.removeEventListener("mousemove",f.moveHandler),document.removeEventListener("mouseup",f.upHandler),g(_.clientX)}},c={moveHandler:_=>(_.cancelable&&(_.preventDefault(),_.stopPropagation()),s(_.touches[0].clientX),!1),upHandler:_=>{var m;document.removeEventListener("touchmove",c.moveHandler),document.removeEventListener("touchend",c.upHandler),_.cancelable&&(_.preventDefault(),_.stopPropagation()),g((m=_.touches[0])==null?void 0:m.clientX)}},p=To()?{passive:!1}:!1;Ue(r)?(document.addEventListener("touchmove",c.moveHandler,p),document.addEventListener("touchend",c.upHandler,p)):(document.addEventListener("mousemove",f.moveHandler,p),document.addEventListener("mouseup",f.upHandler,p)),n.setColumnSizingInfo(_=>({..._,startOffset:u,startSize:i,deltaOffset:0,deltaPercentage:0,columnSizingStart:l,isResizingColumn:t.id}))}}}),createTable:e=>({setColumnSizing:n=>e.options.onColumnSizingChange==null?void 0:e.options.onColumnSizingChange(n),setColumnSizingInfo:n=>e.options.onColumnSizingInfoChange==null?void 0:e.options.onColumnSizingInfoChange(n),resetColumnSizing:n=>{var t;e.setColumnSizing(n?{}:(t=e.initialState.columnSizing)!=null?t:{})},resetHeaderSizeInfo:n=>{var t;e.setColumnSizingInfo(n?Be():(t=e.initialState.columnSizingInfo)!=null?t:Be())},getTotalSize:()=>{var n,t;return(n=(t=e.getHeaderGroups()[0])==null?void 0:t.headers.reduce((o,r)=>o+r.getSize(),0))!=null?n:0},getLeftTotalSize:()=>{var n,t;return(n=(t=e.getLeftHeaderGroups()[0])==null?void 0:t.headers.reduce((o,r)=>o+r.getSize(),0))!=null?n:0},getCenterTotalSize:()=>{var n,t;return(n=(t=e.getCenterHeaderGroups()[0])==null?void 0:t.headers.reduce((o,r)=>o+r.getSize(),0))!=null?n:0},getRightTotalSize:()=>{var n,t;return(n=(t=e.getRightHeaderGroups()[0])==null?void 0:t.headers.reduce((o,r)=>o+r.getSize(),0))!=null?n:0}})},Re=null;function To(){if(typeof Re=="boolean")return Re;let e=!1;try{let n={get passive(){return e=!0,!1}},t=()=>{};window.addEventListener("test",t,n),window.removeEventListener("test",t)}catch{e=!1}return Re=e,Re}function Ue(e){return e.type==="touchstart"}var Ao={getInitialState:e=>({expanded:{},...e}),getDefaultOptions:e=>({onExpandedChange:k("expanded",e),paginateExpandedRows:!0}),createTable:e=>{let n=!1,t=!1;return{_autoResetExpanded:()=>{var o,r;if(!n){e._queue(()=>{n=!0});return}if((o=(r=e.options.autoResetAll)!=null?r:e.options.autoResetExpanded)!=null?o:!e.options.manualExpanding){if(t)return;t=!0,e._queue(()=>{e.resetExpanded(),t=!1})}},setExpanded:o=>e.options.onExpandedChange==null?void 0:e.options.onExpandedChange(o),toggleAllRowsExpanded:o=>{o??!e.getIsAllRowsExpanded()?e.setExpanded(!0):e.setExpanded({})},resetExpanded:o=>{var r,i;e.setExpanded(o?{}:(r=(i=e.initialState)==null?void 0:i.expanded)!=null?r:{})},getCanSomeRowsExpand:()=>e.getPrePaginationRowModel().flatRows.some(o=>o.getCanExpand()),getToggleAllRowsExpandedHandler:()=>o=>{o.persist==null||o.persist(),e.toggleAllRowsExpanded()},getIsSomeRowsExpanded:()=>{let o=e.getState().expanded;return o===!0||Object.values(o).some(Boolean)},getIsAllRowsExpanded:()=>{let o=e.getState().expanded;return typeof o=="boolean"?o===!0:!(!Object.keys(o).length||e.getRowModel().flatRows.some(r=>!r.getIsExpanded()))},getExpandedDepth:()=>{let o=0;return(e.getState().expanded===!0?Object.keys(e.getRowModel().rowsById):Object.keys(e.getState().expanded)).forEach(i=>{let l=i.split(".");o=Math.max(o,l.length)}),o},getPreExpandedRowModel:()=>e.getSortedRowModel(),getExpandedRowModel:()=>(!e._getExpandedRowModel&&e.options.getExpandedRowModel&&(e._getExpandedRowModel=e.options.getExpandedRowModel(e)),e.options.manualExpanding||!e._getExpandedRowModel?e.getPreExpandedRowModel():e._getExpandedRowModel())}},createRow:(e,n)=>({toggleExpanded:t=>{n.setExpanded(o=>{var r;let i=o===!0?!0:!!(o!=null&&o[e.id]),l={};if(o===!0?Object.keys(n.getRowModel().rowsById).forEach(u=>{l[u]=!0}):l=o,t=(r=t)!=null?r:!i,!i&&t)return{...l,[e.id]:!0};if(i&&!t){let{[e.id]:u,...a}=l;return a}return o})},getIsExpanded:()=>{var t;let o=n.getState().expanded;return!!((t=n.options.getIsRowExpanded==null?void 0:n.options.getIsRowExpanded(e))!=null?t:o===!0||o?.[e.id])},getCanExpand:()=>{var t,o,r;return(t=n.options.getRowCanExpand==null?void 0:n.options.getRowCanExpand(e))!=null?t:((o=n.options.enableExpanding)!=null?o:!0)&&!!((r=e.subRows)!=null&&r.length)},getToggleExpandedHandler:()=>{let t=e.getCanExpand();return()=>{t&&e.toggleExpanded()}}})},an=(e,n,t)=>{var o,r,i;let l=t.toLowerCase();return!!(!((o=e.getValue(n))==null||(r=o.toString())==null||(i=r.toLowerCase())==null)&&i.includes(l))};an.autoRemove=e=>N(e);var dn=(e,n,t)=>{var o,r;return!!(!((o=e.getValue(n))==null||(r=o.toString())==null)&&r.includes(t))};dn.autoRemove=e=>N(e);var cn=(e,n,t)=>{var o,r;return((o=e.getValue(n))==null||(r=o.toString())==null?void 0:r.toLowerCase())===t?.toLowerCase()};cn.autoRemove=e=>N(e);var gn=(e,n,t)=>{var o;return(o=e.getValue(n))==null?void 0:o.includes(t)};gn.autoRemove=e=>N(e)||!(e!=null&&e.length);var fn=(e,n,t)=>!t.some(o=>{var r;return!((r=e.getValue(n))!=null&&r.includes(o))});fn.autoRemove=e=>N(e)||!(e!=null&&e.length);var pn=(e,n,t)=>t.some(o=>{var r;return(r=e.getValue(n))==null?void 0:r.includes(o)});pn.autoRemove=e=>N(e)||!(e!=null&&e.length);var _n=(e,n,t)=>e.getValue(n)===t;_n.autoRemove=e=>N(e);var mn=(e,n,t)=>e.getValue(n)==t;mn.autoRemove=e=>N(e);var Ze=(e,n,t)=>{let[o,r]=t,i=e.getValue(n);return i>=o&&i<=r};Ze.resolveFilterValue=e=>{let[n,t]=e,o=typeof n!="number"?parseFloat(n):n,r=typeof t!="number"?parseFloat(t):t,i=n===null||Number.isNaN(o)?-1/0:o,l=t===null||Number.isNaN(r)?1/0:r;if(i>l){let u=i;i=l,l=u}return[i,l]};Ze.autoRemove=e=>N(e)||N(e[0])&&N(e[1]);var U={includesString:an,includesStringSensitive:dn,equalsString:cn,arrIncludes:gn,arrIncludesAll:fn,arrIncludesSome:pn,equals:_n,weakEquals:mn,inNumberRange:Ze};function N(e){return e==null||e===""}var Oo={getDefaultColumnDef:()=>({filterFn:"auto"}),getInitialState:e=>({columnFilters:[],globalFilter:void 0,...e}),getDefaultOptions:e=>({onColumnFiltersChange:k("columnFilters",e),onGlobalFilterChange:k("globalFilter",e),filterFromLeafRows:!1,maxLeafRowFilterDepth:100,globalFilterFn:"auto",getColumnCanGlobalFilter:n=>{var t,o;let r=(t=e.getCoreRowModel().flatRows[0])==null||(o=t._getAllCellsByColumnId()[n.id])==null?void 0:o.getValue();return typeof r=="string"||typeof r=="number"}}),createColumn:(e,n)=>({getAutoFilterFn:()=>{let t=n.getCoreRowModel().flatRows[0],o=t?.getValue(e.id);return typeof o=="string"?U.includesString:typeof o=="number"?U.inNumberRange:typeof o=="boolean"||o!==null&&typeof o=="object"?U.equals:Array.isArray(o)?U.arrIncludes:U.weakEquals},getFilterFn:()=>{var t,o;return Ee(e.columnDef.filterFn)?e.columnDef.filterFn:e.columnDef.filterFn==="auto"?e.getAutoFilterFn():(t=(o=n.options.filterFns)==null?void 0:o[e.columnDef.filterFn])!=null?t:U[e.columnDef.filterFn]},getCanFilter:()=>{var t,o,r;return((t=e.columnDef.enableColumnFilter)!=null?t:!0)&&((o=n.options.enableColumnFilters)!=null?o:!0)&&((r=n.options.enableFilters)!=null?r:!0)&&!!e.accessorFn},getCanGlobalFilter:()=>{var t,o,r,i;return((t=e.columnDef.enableGlobalFilter)!=null?t:!0)&&((o=n.options.enableGlobalFilter)!=null?o:!0)&&((r=n.options.enableFilters)!=null?r:!0)&&((i=n.options.getColumnCanGlobalFilter==null?void 0:n.options.getColumnCanGlobalFilter(e))!=null?i:!0)&&!!e.accessorFn},getIsFiltered:()=>e.getFilterIndex()>-1,getFilterValue:()=>{var t,o;return(t=n.getState().columnFilters)==null||(o=t.find(r=>r.id===e.id))==null?void 0:o.value},getFilterIndex:()=>{var t,o;return(t=(o=n.getState().columnFilters)==null?void 0:o.findIndex(r=>r.id===e.id))!=null?t:-1},setFilterValue:t=>{n.setColumnFilters(o=>{let r=e.getFilterFn(),i=o?.find(s=>s.id===e.id),l=q(t,i?i.value:void 0);if(ln(r,l,e)){var u;return(u=o?.filter(s=>s.id!==e.id))!=null?u:[]}let a={id:e.id,value:l};if(i){var d;return(d=o?.map(s=>s.id===e.id?a:s))!=null?d:[]}return o!=null&&o.length?[...o,a]:[a]})},_getFacetedRowModel:n.options.getFacetedRowModel&&n.options.getFacetedRowModel(n,e.id),getFacetedRowModel:()=>e._getFacetedRowModel?e._getFacetedRowModel():n.getPreFilteredRowModel(),_getFacetedUniqueValues:n.options.getFacetedUniqueValues&&n.options.getFacetedUniqueValues(n,e.id),getFacetedUniqueValues:()=>e._getFacetedUniqueValues?e._getFacetedUniqueValues():new Map,_getFacetedMinMaxValues:n.options.getFacetedMinMaxValues&&n.options.getFacetedMinMaxValues(n,e.id),getFacetedMinMaxValues:()=>{if(e._getFacetedMinMaxValues)return e._getFacetedMinMaxValues()}}),createRow:(e,n)=>({columnFilters:{},columnFiltersMeta:{}}),createTable:e=>({getGlobalAutoFilterFn:()=>U.includesString,getGlobalFilterFn:()=>{var n,t;let{globalFilterFn:o}=e.options;return Ee(o)?o:o==="auto"?e.getGlobalAutoFilterFn():(n=(t=e.options.filterFns)==null?void 0:t[o])!=null?n:U[o]},setColumnFilters:n=>{let t=e.getAllLeafColumns(),o=r=>{var i;return(i=q(n,r))==null?void 0:i.filter(l=>{let u=t.find(a=>a.id===l.id);if(u){let a=u.getFilterFn();if(ln(a,l.value,u))return!1}return!0})};e.options.onColumnFiltersChange==null||e.options.onColumnFiltersChange(o)},setGlobalFilter:n=>{e.options.onGlobalFilterChange==null||e.options.onGlobalFilterChange(n)},resetGlobalFilter:n=>{e.setGlobalFilter(n?void 0:e.initialState.globalFilter)},resetColumnFilters:n=>{var t,o;e.setColumnFilters(n?[]:(t=(o=e.initialState)==null?void 0:o.columnFilters)!=null?t:[])},getPreFilteredRowModel:()=>e.getCoreRowModel(),getFilteredRowModel:()=>(!e._getFilteredRowModel&&e.options.getFilteredRowModel&&(e._getFilteredRowModel=e.options.getFilteredRowModel(e)),e.options.manualFiltering||!e._getFilteredRowModel?e.getPreFilteredRowModel():e._getFilteredRowModel()),_getGlobalFacetedRowModel:e.options.getFacetedRowModel&&e.options.getFacetedRowModel(e,"__global__"),getGlobalFacetedRowModel:()=>e.options.manualFiltering||!e._getGlobalFacetedRowModel?e.getPreFilteredRowModel():e._getGlobalFacetedRowModel(),_getGlobalFacetedUniqueValues:e.options.getFacetedUniqueValues&&e.options.getFacetedUniqueValues(e,"__global__"),getGlobalFacetedUniqueValues:()=>e._getGlobalFacetedUniqueValues?e._getGlobalFacetedUniqueValues():new Map,_getGlobalFacetedMinMaxValues:e.options.getFacetedMinMaxValues&&e.options.getFacetedMinMaxValues(e,"__global__"),getGlobalFacetedMinMaxValues:()=>{if(e._getGlobalFacetedMinMaxValues)return e._getGlobalFacetedMinMaxValues()}})};function ln(e,n,t){return(e&&e.autoRemove?e.autoRemove(n,t):!1)||typeof n>"u"||typeof n=="string"&&!n}var ko=(e,n,t)=>t.reduce((o,r)=>{let i=r.getValue(e);return o+(typeof i=="number"?i:0)},0),No=(e,n,t)=>{let o;return t.forEach(r=>{let i=r.getValue(e);i!=null&&(o>i||o===void 0&&i>=i)&&(o=i)}),o},Ho=(e,n,t)=>{let o;return t.forEach(r=>{let i=r.getValue(e);i!=null&&(o<i||o===void 0&&i>=i)&&(o=i)}),o},Po=(e,n,t)=>{let o,r;return t.forEach(i=>{let l=i.getValue(e);l!=null&&(o===void 0?l>=l&&(o=r=l):(o>l&&(o=l),r<l&&(r=l)))}),[o,r]},Lo=(e,n)=>{let t=0,o=0;if(n.forEach(r=>{let i=r.getValue(e);i!=null&&(i=+i)>=i&&(++t,o+=i)}),t)return o/t},zo=(e,n)=>{if(!n.length)return;let t=n.map(i=>i.getValue(e));if(!Fo(t))return;if(t.length===1)return t[0];let o=Math.floor(t.length/2),r=t.sort((i,l)=>i-l);return t.length%2!==0?r[o]:(r[o-1]+r[o])/2},Go=(e,n)=>Array.from(new Set(n.map(t=>t.getValue(e))).values()),Bo=(e,n)=>new Set(n.map(t=>t.getValue(e))).size,Uo=(e,n)=>n.length,je={sum:ko,min:No,max:Ho,extent:Po,mean:Lo,median:zo,unique:Go,uniqueCount:Bo,count:Uo},jo={getDefaultColumnDef:()=>({aggregatedCell:e=>{var n,t;return(n=(t=e.getValue())==null||t.toString==null?void 0:t.toString())!=null?n:null},aggregationFn:"auto"}),getInitialState:e=>({grouping:[],...e}),getDefaultOptions:e=>({onGroupingChange:k("grouping",e),groupedColumnMode:"reorder"}),createColumn:(e,n)=>({toggleGrouping:()=>{n.setGrouping(t=>t!=null&&t.includes(e.id)?t.filter(o=>o!==e.id):[...t??[],e.id])},getCanGroup:()=>{var t,o,r,i;return(t=(o=(r=(i=e.columnDef.enableGrouping)!=null?i:!0)!=null?r:n.options.enableGrouping)!=null?o:!0)!=null?t:!!e.accessorFn},getIsGrouped:()=>{var t;return(t=n.getState().grouping)==null?void 0:t.includes(e.id)},getGroupedIndex:()=>{var t;return(t=n.getState().grouping)==null?void 0:t.indexOf(e.id)},getToggleGroupingHandler:()=>{let t=e.getCanGroup();return()=>{t&&e.toggleGrouping()}},getAutoAggregationFn:()=>{let t=n.getCoreRowModel().flatRows[0],o=t?.getValue(e.id);if(typeof o=="number")return je.sum;if(Object.prototype.toString.call(o)==="[object Date]")return je.extent},getAggregationFn:()=>{var t,o;if(!e)throw new Error;return Ee(e.columnDef.aggregationFn)?e.columnDef.aggregationFn:e.columnDef.aggregationFn==="auto"?e.getAutoAggregationFn():(t=(o=n.options.aggregationFns)==null?void 0:o[e.columnDef.aggregationFn])!=null?t:je[e.columnDef.aggregationFn]}}),createTable:e=>({setGrouping:n=>e.options.onGroupingChange==null?void 0:e.options.onGroupingChange(n),resetGrouping:n=>{var t,o;e.setGrouping(n?[]:(t=(o=e.initialState)==null?void 0:o.grouping)!=null?t:[])},getPreGroupedRowModel:()=>e.getFilteredRowModel(),getGroupedRowModel:()=>(!e._getGroupedRowModel&&e.options.getGroupedRowModel&&(e._getGroupedRowModel=e.options.getGroupedRowModel(e)),e.options.manualGrouping||!e._getGroupedRowModel?e.getPreGroupedRowModel():e._getGroupedRowModel())}),createRow:(e,n)=>({getIsGrouped:()=>!!e.groupingColumnId,getGroupingValue:t=>{if(e._groupingValuesCache.hasOwnProperty(t))return e._groupingValuesCache[t];let o=n.getColumn(t);return o!=null&&o.columnDef.getGroupingValue?(e._groupingValuesCache[t]=o.columnDef.getGroupingValue(e.original),e._groupingValuesCache[t]):e.getValue(t)},_groupingValuesCache:{}}),createCell:(e,n,t,o)=>({getIsGrouped:()=>n.getIsGrouped()&&n.id===t.groupingColumnId,getIsPlaceholder:()=>!e.getIsGrouped()&&n.getIsGrouped(),getIsAggregated:()=>{var r;return!e.getIsGrouped()&&!e.getIsPlaceholder()&&!!((r=t.subRows)!=null&&r.length)}})};function Ko(e,n,t){if(!(n!=null&&n.length)||!t)return e;let o=e.filter(i=>!n.includes(i.id));return t==="remove"?o:[...n.map(i=>e.find(l=>l.id===i)).filter(Boolean),...o]}var qo={getInitialState:e=>({columnOrder:[],...e}),getDefaultOptions:e=>({onColumnOrderChange:k("columnOrder",e)}),createTable:e=>({setColumnOrder:n=>e.options.onColumnOrderChange==null?void 0:e.options.onColumnOrderChange(n),resetColumnOrder:n=>{var t;e.setColumnOrder(n?[]:(t=e.initialState.columnOrder)!=null?t:[])},_getOrderColumnsFn:y(()=>[e.getState().columnOrder,e.getState().grouping,e.options.groupedColumnMode],(n,t,o)=>r=>{let i=[];if(!(n!=null&&n.length))i=r;else{let l=[...n],u=[...r];for(;u.length&&l.length;){let a=l.shift(),d=u.findIndex(s=>s.id===a);d>-1&&i.push(u.splice(d,1)[0])}i=[...i,...u]}return Ko(i,t,o)},{key:!1})})},Xe=0,Je=10,Ke=()=>({pageIndex:Xe,pageSize:Je}),Wo={getInitialState:e=>({...e,pagination:{...Ke(),...e?.pagination}}),getDefaultOptions:e=>({onPaginationChange:k("pagination",e)}),createTable:e=>{let n=!1,t=!1;return{_autoResetPageIndex:()=>{var o,r;if(!n){e._queue(()=>{n=!0});return}if((o=(r=e.options.autoResetAll)!=null?r:e.options.autoResetPageIndex)!=null?o:!e.options.manualPagination){if(t)return;t=!0,e._queue(()=>{e.resetPageIndex(),t=!1})}},setPagination:o=>{let r=i=>q(o,i);return e.options.onPaginationChange==null?void 0:e.options.onPaginationChange(r)},resetPagination:o=>{var r;e.setPagination(o?Ke():(r=e.initialState.pagination)!=null?r:Ke())},setPageIndex:o=>{e.setPagination(r=>{let i=q(o,r.pageIndex),l=typeof e.options.pageCount>"u"||e.options.pageCount===-1?Number.MAX_SAFE_INTEGER:e.options.pageCount-1;return i=Math.max(0,Math.min(i,l)),{...r,pageIndex:i}})},resetPageIndex:o=>{var r,i,l;e.setPageIndex(o?Xe:(r=(i=e.initialState)==null||(l=i.pagination)==null?void 0:l.pageIndex)!=null?r:Xe)},resetPageSize:o=>{var r,i,l;e.setPageSize(o?Je:(r=(i=e.initialState)==null||(l=i.pagination)==null?void 0:l.pageSize)!=null?r:Je)},setPageSize:o=>{e.setPagination(r=>{let i=Math.max(1,q(o,r.pageSize)),l=r.pageSize*r.pageIndex,u=Math.floor(l/i);return{...r,pageIndex:u,pageSize:i}})},setPageCount:o=>e.setPagination(r=>{var i;let l=q(o,(i=e.options.pageCount)!=null?i:-1);return typeof l=="number"&&(l=Math.max(-1,l)),{...r,pageCount:l}}),getPageOptions:y(()=>[e.getPageCount()],o=>{let r=[];return o&&o>0&&(r=[...new Array(o)].fill(null).map((i,l)=>l)),r},{key:!1,debug:()=>{var o;return(o=e.options.debugAll)!=null?o:e.options.debugTable}}),getCanPreviousPage:()=>e.getState().pagination.pageIndex>0,getCanNextPage:()=>{let{pageIndex:o}=e.getState().pagination,r=e.getPageCount();return r===-1?!0:r===0?!1:o<r-1},previousPage:()=>e.setPageIndex(o=>o-1),nextPage:()=>e.setPageIndex(o=>o+1),getPrePaginationRowModel:()=>e.getExpandedRowModel(),getPaginationRowModel:()=>(!e._getPaginationRowModel&&e.options.getPaginationRowModel&&(e._getPaginationRowModel=e.options.getPaginationRowModel(e)),e.options.manualPagination||!e._getPaginationRowModel?e.getPrePaginationRowModel():e._getPaginationRowModel()),getPageCount:()=>{var o;return(o=e.options.pageCount)!=null?o:Math.ceil(e.getPrePaginationRowModel().rows.length/e.getState().pagination.pageSize)}}}},qe=()=>({left:[],right:[]}),Xo={getInitialState:e=>({columnPinning:qe(),...e}),getDefaultOptions:e=>({onColumnPinningChange:k("columnPinning",e)}),createColumn:(e,n)=>({pin:t=>{let o=e.getLeafColumns().map(r=>r.id).filter(Boolean);n.setColumnPinning(r=>{var i,l;if(t==="right"){var u,a;return{left:((u=r?.left)!=null?u:[]).filter(g=>!(o!=null&&o.includes(g))),right:[...((a=r?.right)!=null?a:[]).filter(g=>!(o!=null&&o.includes(g))),...o]}}if(t==="left"){var d,s;return{left:[...((d=r?.left)!=null?d:[]).filter(g=>!(o!=null&&o.includes(g))),...o],right:((s=r?.right)!=null?s:[]).filter(g=>!(o!=null&&o.includes(g)))}}return{left:((i=r?.left)!=null?i:[]).filter(g=>!(o!=null&&o.includes(g))),right:((l=r?.right)!=null?l:[]).filter(g=>!(o!=null&&o.includes(g)))}})},getCanPin:()=>e.getLeafColumns().some(o=>{var r,i;return((r=o.columnDef.enablePinning)!=null?r:!0)&&((i=n.options.enablePinning)!=null?i:!0)}),getIsPinned:()=>{let t=e.getLeafColumns().map(u=>u.id),{left:o,right:r}=n.getState().columnPinning,i=t.some(u=>o?.includes(u)),l=t.some(u=>r?.includes(u));return i?"left":l?"right":!1},getPinnedIndex:()=>{var t,o,r;let i=e.getIsPinned();return i?(t=(o=n.getState().columnPinning)==null||(r=o[i])==null?void 0:r.indexOf(e.id))!=null?t:-1:0}}),createRow:(e,n)=>({getCenterVisibleCells:y(()=>[e._getAllVisibleCells(),n.getState().columnPinning.left,n.getState().columnPinning.right],(t,o,r)=>{let i=[...o??[],...r??[]];return t.filter(l=>!i.includes(l.column.id))},{key:"row.getCenterVisibleCells",debug:()=>{var t;return(t=n.options.debugAll)!=null?t:n.options.debugRows}}),getLeftVisibleCells:y(()=>[e._getAllVisibleCells(),n.getState().columnPinning.left,,],(t,o)=>(o??[]).map(i=>t.find(l=>l.column.id===i)).filter(Boolean).map(i=>({...i,position:"left"})),{key:"row.getLeftVisibleCells",debug:()=>{var t;return(t=n.options.debugAll)!=null?t:n.options.debugRows}}),getRightVisibleCells:y(()=>[e._getAllVisibleCells(),n.getState().columnPinning.right],(t,o)=>(o??[]).map(i=>t.find(l=>l.column.id===i)).filter(Boolean).map(i=>({...i,position:"right"})),{key:"row.getRightVisibleCells",debug:()=>{var t;return(t=n.options.debugAll)!=null?t:n.options.debugRows}})}),createTable:e=>({setColumnPinning:n=>e.options.onColumnPinningChange==null?void 0:e.options.onColumnPinningChange(n),resetColumnPinning:n=>{var t,o;return e.setColumnPinning(n?qe():(t=(o=e.initialState)==null?void 0:o.columnPinning)!=null?t:qe())},getIsSomeColumnsPinned:n=>{var t;let o=e.getState().columnPinning;if(!n){var r,i;return!!((r=o.left)!=null&&r.length||(i=o.right)!=null&&i.length)}return!!((t=o[n])!=null&&t.length)},getLeftLeafColumns:y(()=>[e.getAllLeafColumns(),e.getState().columnPinning.left],(n,t)=>(t??[]).map(o=>n.find(r=>r.id===o)).filter(Boolean),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugColumns}}),getRightLeafColumns:y(()=>[e.getAllLeafColumns(),e.getState().columnPinning.right],(n,t)=>(t??[]).map(o=>n.find(r=>r.id===o)).filter(Boolean),{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugColumns}}),getCenterLeafColumns:y(()=>[e.getAllLeafColumns(),e.getState().columnPinning.left,e.getState().columnPinning.right],(n,t,o)=>{let r=[...t??[],...o??[]];return n.filter(i=>!r.includes(i.id))},{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugColumns}})})},Jo={getInitialState:e=>({rowSelection:{},...e}),getDefaultOptions:e=>({onRowSelectionChange:k("rowSelection",e),enableRowSelection:!0,enableMultiRowSelection:!0,enableSubRowSelection:!0}),createTable:e=>({setRowSelection:n=>e.options.onRowSelectionChange==null?void 0:e.options.onRowSelectionChange(n),resetRowSelection:n=>{var t;return e.setRowSelection(n?{}:(t=e.initialState.rowSelection)!=null?t:{})},toggleAllRowsSelected:n=>{e.setRowSelection(t=>{n=typeof n<"u"?n:!e.getIsAllRowsSelected();let o={...t},r=e.getPreGroupedRowModel().flatRows;return n?r.forEach(i=>{i.getCanSelect()&&(o[i.id]=!0)}):r.forEach(i=>{delete o[i.id]}),o})},toggleAllPageRowsSelected:n=>e.setRowSelection(t=>{let o=typeof n<"u"?n:!e.getIsAllPageRowsSelected(),r={...t};return e.getRowModel().rows.forEach(i=>{Ye(r,i.id,o,e)}),r}),getPreSelectedRowModel:()=>e.getCoreRowModel(),getSelectedRowModel:y(()=>[e.getState().rowSelection,e.getCoreRowModel()],(n,t)=>Object.keys(n).length?We(e,t):{rows:[],flatRows:[],rowsById:{}},{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugTable}}),getFilteredSelectedRowModel:y(()=>[e.getState().rowSelection,e.getFilteredRowModel()],(n,t)=>Object.keys(n).length?We(e,t):{rows:[],flatRows:[],rowsById:{}},{key:"getFilteredSelectedRowModel",debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugTable}}),getGroupedSelectedRowModel:y(()=>[e.getState().rowSelection,e.getSortedRowModel()],(n,t)=>Object.keys(n).length?We(e,t):{rows:[],flatRows:[],rowsById:{}},{key:"getGroupedSelectedRowModel",debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugTable}}),getIsAllRowsSelected:()=>{let n=e.getFilteredRowModel().flatRows,{rowSelection:t}=e.getState(),o=!!(n.length&&Object.keys(t).length);return o&&n.some(r=>r.getCanSelect()&&!t[r.id])&&(o=!1),o},getIsAllPageRowsSelected:()=>{let n=e.getPaginationRowModel().flatRows.filter(r=>r.getCanSelect()),{rowSelection:t}=e.getState(),o=!!n.length;return o&&n.some(r=>!t[r.id])&&(o=!1),o},getIsSomeRowsSelected:()=>{var n;let t=Object.keys((n=e.getState().rowSelection)!=null?n:{}).length;return t>0&&t<e.getFilteredRowModel().flatRows.length},getIsSomePageRowsSelected:()=>{let n=e.getPaginationRowModel().flatRows;return e.getIsAllPageRowsSelected()?!1:n.filter(t=>t.getCanSelect()).some(t=>t.getIsSelected()||t.getIsSomeSelected())},getToggleAllRowsSelectedHandler:()=>n=>{e.toggleAllRowsSelected(n.target.checked)},getToggleAllPageRowsSelectedHandler:()=>n=>{e.toggleAllPageRowsSelected(n.target.checked)}}),createRow:(e,n)=>({toggleSelected:t=>{let o=e.getIsSelected();n.setRowSelection(r=>{if(t=typeof t<"u"?t:!o,o===t)return r;let i={...r};return Ye(i,e.id,t,n),i})},getIsSelected:()=>{let{rowSelection:t}=n.getState();return et(e,t)},getIsSomeSelected:()=>{let{rowSelection:t}=n.getState();return sn(e,t)==="some"},getIsAllSubRowsSelected:()=>{let{rowSelection:t}=n.getState();return sn(e,t)==="all"},getCanSelect:()=>{var t;return typeof n.options.enableRowSelection=="function"?n.options.enableRowSelection(e):(t=n.options.enableRowSelection)!=null?t:!0},getCanSelectSubRows:()=>{var t;return typeof n.options.enableSubRowSelection=="function"?n.options.enableSubRowSelection(e):(t=n.options.enableSubRowSelection)!=null?t:!0},getCanMultiSelect:()=>{var t;return typeof n.options.enableMultiRowSelection=="function"?n.options.enableMultiRowSelection(e):(t=n.options.enableMultiRowSelection)!=null?t:!0},getToggleSelectedHandler:()=>{let t=e.getCanSelect();return o=>{var r;t&&e.toggleSelected((r=o.target)==null?void 0:r.checked)}}})},Ye=(e,n,t,o)=>{var r;let i=o.getRow(n);t?(i.getCanMultiSelect()||Object.keys(e).forEach(l=>delete e[l]),i.getCanSelect()&&(e[n]=!0)):delete e[n],(r=i.subRows)!=null&&r.length&&i.getCanSelectSubRows()&&i.subRows.forEach(l=>Ye(e,l.id,t,o))};function We(e,n){let t=e.getState().rowSelection,o=[],r={},i=function(l,u){return l.map(a=>{var d;let s=et(a,t);if(s&&(o.push(a),r[a.id]=a),(d=a.subRows)!=null&&d.length&&(a={...a,subRows:i(a.subRows)}),s)return a}).filter(Boolean)};return{rows:i(n.rows),flatRows:o,rowsById:r}}function et(e,n){var t;return(t=n[e.id])!=null?t:!1}function sn(e,n,t){if(e.subRows&&e.subRows.length){let o=!0,r=!1;return e.subRows.forEach(i=>{r&&!o||(et(i,n)?r=!0:o=!1)}),o?"all":r?"some":!1}return!1}var Qe=/([0-9]+)/gm,Yo=(e,n,t)=>hn(W(e.getValue(t)).toLowerCase(),W(n.getValue(t)).toLowerCase()),Qo=(e,n,t)=>hn(W(e.getValue(t)),W(n.getValue(t))),Zo=(e,n,t)=>tt(W(e.getValue(t)).toLowerCase(),W(n.getValue(t)).toLowerCase()),er=(e,n,t)=>tt(W(e.getValue(t)),W(n.getValue(t))),tr=(e,n,t)=>{let o=e.getValue(t),r=n.getValue(t);return o>r?1:o<r?-1:0},nr=(e,n,t)=>tt(e.getValue(t),n.getValue(t));function tt(e,n){return e===n?0:e>n?1:-1}function W(e){return typeof e=="number"?isNaN(e)||e===1/0||e===-1/0?"":String(e):typeof e=="string"?e:""}function hn(e,n){let t=e.split(Qe).filter(Boolean),o=n.split(Qe).filter(Boolean);for(;t.length&&o.length;){let r=t.shift(),i=o.shift(),l=parseInt(r,10),u=parseInt(i,10),a=[l,u].sort();if(isNaN(a[0])){if(r>i)return 1;if(i>r)return-1;continue}if(isNaN(a[1]))return isNaN(l)?-1:1;if(l>u)return 1;if(u>l)return-1}return t.length-o.length}var ce={alphanumeric:Yo,alphanumericCaseSensitive:Qo,text:Zo,textCaseSensitive:er,datetime:tr,basic:nr},or={getInitialState:e=>({sorting:[],...e}),getDefaultColumnDef:()=>({sortingFn:"auto"}),getDefaultOptions:e=>({onSortingChange:k("sorting",e),isMultiSortEvent:n=>n.shiftKey}),createColumn:(e,n)=>({getAutoSortingFn:()=>{let t=n.getFilteredRowModel().flatRows.slice(10),o=!1;for(let r of t){let i=r?.getValue(e.id);if(Object.prototype.toString.call(i)==="[object Date]")return ce.datetime;if(typeof i=="string"&&(o=!0,i.split(Qe).length>1))return ce.alphanumeric}return o?ce.text:ce.basic},getAutoSortDir:()=>{let t=n.getFilteredRowModel().flatRows[0];return typeof t?.getValue(e.id)=="string"?"asc":"desc"},getSortingFn:()=>{var t,o;if(!e)throw new Error;return Ee(e.columnDef.sortingFn)?e.columnDef.sortingFn:e.columnDef.sortingFn==="auto"?e.getAutoSortingFn():(t=(o=n.options.sortingFns)==null?void 0:o[e.columnDef.sortingFn])!=null?t:ce[e.columnDef.sortingFn]},toggleSorting:(t,o)=>{let r=e.getNextSortingOrder(),i=typeof t<"u"&&t!==null;n.setSorting(l=>{let u=l?.find(c=>c.id===e.id),a=l?.findIndex(c=>c.id===e.id),d=[],s,g=i?t:r==="desc";if(l!=null&&l.length&&e.getCanMultiSort()&&o?u?s="toggle":s="add":l!=null&&l.length&&a!==l.length-1?s="replace":u?s="toggle":s="replace",s==="toggle"&&(i||r||(s="remove")),s==="add"){var f;d=[...l,{id:e.id,desc:g}],d.splice(0,d.length-((f=n.options.maxMultiSortColCount)!=null?f:Number.MAX_SAFE_INTEGER))}else s==="toggle"?d=l.map(c=>c.id===e.id?{...c,desc:g}:c):s==="remove"?d=l.filter(c=>c.id!==e.id):d=[{id:e.id,desc:g}];return d})},getFirstSortDir:()=>{var t,o;return((t=(o=e.columnDef.sortDescFirst)!=null?o:n.options.sortDescFirst)!=null?t:e.getAutoSortDir()==="desc")?"desc":"asc"},getNextSortingOrder:t=>{var o,r;let i=e.getFirstSortDir(),l=e.getIsSorted();return l?l!==i&&((o=n.options.enableSortingRemoval)==null||o)&&(!(t&&(r=n.options.enableMultiRemove)!=null)||r)?!1:l==="desc"?"asc":"desc":i},getCanSort:()=>{var t,o;return((t=e.columnDef.enableSorting)!=null?t:!0)&&((o=n.options.enableSorting)!=null?o:!0)&&!!e.accessorFn},getCanMultiSort:()=>{var t,o;return(t=(o=e.columnDef.enableMultiSort)!=null?o:n.options.enableMultiSort)!=null?t:!!e.accessorFn},getIsSorted:()=>{var t;let o=(t=n.getState().sorting)==null?void 0:t.find(r=>r.id===e.id);return o?o.desc?"desc":"asc":!1},getSortIndex:()=>{var t,o;return(t=(o=n.getState().sorting)==null?void 0:o.findIndex(r=>r.id===e.id))!=null?t:-1},clearSorting:()=>{n.setSorting(t=>t!=null&&t.length?t.filter(o=>o.id!==e.id):[])},getToggleSortingHandler:()=>{let t=e.getCanSort();return o=>{t&&(o.persist==null||o.persist(),e.toggleSorting==null||e.toggleSorting(void 0,e.getCanMultiSort()?n.options.isMultiSortEvent==null?void 0:n.options.isMultiSortEvent(o):!1))}}}),createTable:e=>({setSorting:n=>e.options.onSortingChange==null?void 0:e.options.onSortingChange(n),resetSorting:n=>{var t,o;e.setSorting(n?[]:(t=(o=e.initialState)==null?void 0:o.sorting)!=null?t:[])},getPreSortedRowModel:()=>e.getGroupedRowModel(),getSortedRowModel:()=>(!e._getSortedRowModel&&e.options.getSortedRowModel&&(e._getSortedRowModel=e.options.getSortedRowModel(e)),e.options.manualSorting||!e._getSortedRowModel?e.getPreSortedRowModel():e._getSortedRowModel())})},rr={getInitialState:e=>({columnVisibility:{},...e}),getDefaultOptions:e=>({onColumnVisibilityChange:k("columnVisibility",e)}),createColumn:(e,n)=>({toggleVisibility:t=>{e.getCanHide()&&n.setColumnVisibility(o=>({...o,[e.id]:t??!e.getIsVisible()}))},getIsVisible:()=>{var t,o;return(t=(o=n.getState().columnVisibility)==null?void 0:o[e.id])!=null?t:!0},getCanHide:()=>{var t,o;return((t=e.columnDef.enableHiding)!=null?t:!0)&&((o=n.options.enableHiding)!=null?o:!0)},getToggleVisibilityHandler:()=>t=>{e.toggleVisibility==null||e.toggleVisibility(t.target.checked)}}),createRow:(e,n)=>({_getAllVisibleCells:y(()=>[e.getAllCells(),n.getState().columnVisibility],t=>t.filter(o=>o.column.getIsVisible()),{key:"row._getAllVisibleCells",debug:()=>{var t;return(t=n.options.debugAll)!=null?t:n.options.debugRows}}),getVisibleCells:y(()=>[e.getLeftVisibleCells(),e.getCenterVisibleCells(),e.getRightVisibleCells()],(t,o,r)=>[...t,...o,...r],{key:!1,debug:()=>{var t;return(t=n.options.debugAll)!=null?t:n.options.debugRows}})}),createTable:e=>{let n=(t,o)=>y(()=>[o(),o().filter(r=>r.getIsVisible()).map(r=>r.id).join("_")],r=>r.filter(i=>i.getIsVisible==null?void 0:i.getIsVisible()),{key:t,debug:()=>{var r;return(r=e.options.debugAll)!=null?r:e.options.debugColumns}});return{getVisibleFlatColumns:n("getVisibleFlatColumns",()=>e.getAllFlatColumns()),getVisibleLeafColumns:n("getVisibleLeafColumns",()=>e.getAllLeafColumns()),getLeftVisibleLeafColumns:n("getLeftVisibleLeafColumns",()=>e.getLeftLeafColumns()),getRightVisibleLeafColumns:n("getRightVisibleLeafColumns",()=>e.getRightLeafColumns()),getCenterVisibleLeafColumns:n("getCenterVisibleLeafColumns",()=>e.getCenterLeafColumns()),setColumnVisibility:t=>e.options.onColumnVisibilityChange==null?void 0:e.options.onColumnVisibilityChange(t),resetColumnVisibility:t=>{var o;e.setColumnVisibility(t?{}:(o=e.initialState.columnVisibility)!=null?o:{})},toggleAllColumnsVisible:t=>{var o;t=(o=t)!=null?o:!e.getIsAllColumnsVisible(),e.setColumnVisibility(e.getAllLeafColumns().reduce((r,i)=>({...r,[i.id]:t||!(i.getCanHide!=null&&i.getCanHide())}),{}))},getIsAllColumnsVisible:()=>!e.getAllLeafColumns().some(t=>!(t.getIsVisible!=null&&t.getIsVisible())),getIsSomeColumnsVisible:()=>e.getAllLeafColumns().some(t=>t.getIsVisible==null?void 0:t.getIsVisible()),getToggleAllColumnsVisibilityHandler:()=>t=>{var o;e.toggleAllColumnsVisible((o=t.target)==null?void 0:o.checked)}}}},un=[Io,rr,qo,Xo,Oo,or,jo,Ao,Wo,Jo,Do];function vn(e){var n;(e.debugAll||e.debugTable)&&console.info("Creating Table Instance...");let t={_features:un},o=t._features.reduce((s,g)=>Object.assign(s,g.getDefaultOptions==null?void 0:g.getDefaultOptions(t)),{}),r=s=>t.options.mergeOptions?t.options.mergeOptions(o,s):{...o,...s},l={...{},...(n=e.initialState)!=null?n:{}};t._features.forEach(s=>{var g;l=(g=s.getInitialState==null?void 0:s.getInitialState(l))!=null?g:l});let u=[],a=!1,d={_features:un,options:{...o,...e},initialState:l,_queue:s=>{u.push(s),a||(a=!0,Promise.resolve().then(()=>{for(;u.length;)u.shift()();a=!1}).catch(g=>setTimeout(()=>{throw g})))},reset:()=>{t.setState(t.initialState)},setOptions:s=>{let g=q(s,t.options);t.options=r(g)},getState:()=>t.options.state,setState:s=>{t.options.onStateChange==null||t.options.onStateChange(s)},_getRowId:(s,g,f)=>{var c;return(c=t.options.getRowId==null?void 0:t.options.getRowId(s,g,f))!=null?c:`${f?[f.id,g].join("."):g}`},getCoreRowModel:()=>(t._getCoreRowModel||(t._getCoreRowModel=t.options.getCoreRowModel(t)),t._getCoreRowModel()),getRowModel:()=>t.getPaginationRowModel(),getRow:s=>{let g=t.getRowModel().rowsById[s];if(!g)throw new Error;return g},_getDefaultColumnDef:y(()=>[t.options.defaultColumn],s=>{var g;return s=(g=s)!=null?g:{},{header:f=>{let c=f.header.column.columnDef;return c.accessorKey?c.accessorKey:c.accessorFn?c.id:null},cell:f=>{var c,p;return(c=(p=f.renderValue())==null||p.toString==null?void 0:p.toString())!=null?c:null},...t._features.reduce((f,c)=>Object.assign(f,c.getDefaultColumnDef==null?void 0:c.getDefaultColumnDef()),{}),...s}},{debug:()=>{var s;return(s=t.options.debugAll)!=null?s:t.options.debugColumns},key:!1}),_getColumnDefs:()=>t.options.columns,getAllColumns:y(()=>[t._getColumnDefs()],s=>{let g=function(f,c,p){return p===void 0&&(p=0),f.map(_=>{let m=Vo(t,_,p,c),v=_;return m.columns=v.columns?g(v.columns,m,p+1):[],m})};return g(s)},{key:!1,debug:()=>{var s;return(s=t.options.debugAll)!=null?s:t.options.debugColumns}}),getAllFlatColumns:y(()=>[t.getAllColumns()],s=>s.flatMap(g=>g.getFlatColumns()),{key:!1,debug:()=>{var s;return(s=t.options.debugAll)!=null?s:t.options.debugColumns}}),_getAllFlatColumnsById:y(()=>[t.getAllFlatColumns()],s=>s.reduce((g,f)=>(g[f.id]=f,g),{}),{key:!1,debug:()=>{var s;return(s=t.options.debugAll)!=null?s:t.options.debugColumns}}),getAllLeafColumns:y(()=>[t.getAllColumns(),t._getOrderColumnsFn()],(s,g)=>{let f=s.flatMap(c=>c.getLeafColumns());return g(f)},{key:!1,debug:()=>{var s;return(s=t.options.debugAll)!=null?s:t.options.debugColumns}}),getColumn:s=>t._getAllFlatColumnsById()[s]};return Object.assign(t,d),t._features.forEach(s=>Object.assign(t,s.createTable==null?void 0:s.createTable(t))),t}function ir(e,n,t,o){let r=()=>{var l;return(l=i.getValue())!=null?l:e.options.renderFallbackValue},i={id:`${n.id}_${t.id}`,row:n,column:t,getValue:()=>n.getValue(o),renderValue:r,getContext:y(()=>[e,t,n,i],(l,u,a,d)=>({table:l,column:u,row:a,cell:d,getValue:d.getValue,renderValue:d.renderValue}),{key:!1,debug:()=>e.options.debugAll})};return e._features.forEach(l=>{Object.assign(i,l.createCell==null?void 0:l.createCell(i,t,n,e))},{}),i}var lr=(e,n,t,o,r,i,l)=>{let u={id:n,index:o,original:t,depth:r,parentId:l,_valuesCache:{},_uniqueValuesCache:{},getValue:a=>{if(u._valuesCache.hasOwnProperty(a))return u._valuesCache[a];let d=e.getColumn(a);if(d!=null&&d.accessorFn)return u._valuesCache[a]=d.accessorFn(u.original,o),u._valuesCache[a]},getUniqueValues:a=>{if(u._uniqueValuesCache.hasOwnProperty(a))return u._uniqueValuesCache[a];let d=e.getColumn(a);if(d!=null&&d.accessorFn)return d.columnDef.getUniqueValues?(u._uniqueValuesCache[a]=d.columnDef.getUniqueValues(u.original,o),u._uniqueValuesCache[a]):(u._uniqueValuesCache[a]=[u.getValue(a)],u._uniqueValuesCache[a])},renderValue:a=>{var d;return(d=u.getValue(a))!=null?d:e.options.renderFallbackValue},subRows:i??[],getLeafRows:()=>Mo(u.subRows,a=>a.subRows),getParentRow:()=>u.parentId?e.getRow(u.parentId):void 0,getParentRows:()=>{let a=[],d=u;for(;;){let s=d.getParentRow();if(!s)break;a.push(s),d=s}return a.reverse()},getAllCells:y(()=>[e.getAllLeafColumns()],a=>a.map(d=>ir(e,u,d,d.id)),{key:!1,debug:()=>{var a;return(a=e.options.debugAll)!=null?a:e.options.debugRows}}),_getAllCellsByColumnId:y(()=>[u.getAllCells()],a=>a.reduce((d,s)=>(d[s.column.id]=s,d),{}),{key:"row.getAllCellsByColumnId",debug:()=>{var a;return(a=e.options.debugAll)!=null?a:e.options.debugRows}})};for(let a=0;a<e._features.length;a++){let d=e._features[a];Object.assign(u,d==null||d.createRow==null?void 0:d.createRow(u,e))}return u};function yn(){return e=>y(()=>[e.options.data],n=>{let t={rows:[],flatRows:[],rowsById:{}},o=function(r,i,l){i===void 0&&(i=0);let u=[];for(let d=0;d<r.length;d++){let s=lr(e,e._getRowId(r[d],d,l),r[d],d,i,void 0,l?.id);if(t.flatRows.push(s),t.rowsById[s.id]=s,u.push(s),e.options.getSubRows){var a;s.originalSubRows=e.options.getSubRows(r[d],d),(a=s.originalSubRows)!=null&&a.length&&(s.subRows=o(s.originalSubRows,i+1,s))}}return u};return t.rows=o(n),t},{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugTable},onChange:()=>{e._autoResetPageIndex()}})}function Sn(){return e=>y(()=>[e.getState().sorting,e.getPreSortedRowModel()],(n,t)=>{if(!t.rows.length||!(n!=null&&n.length))return t;let o=e.getState().sorting,r=[],i=o.filter(a=>{var d;return(d=e.getColumn(a.id))==null?void 0:d.getCanSort()}),l={};i.forEach(a=>{let d=e.getColumn(a.id);d&&(l[a.id]={sortUndefined:d.columnDef.sortUndefined,invertSorting:d.columnDef.invertSorting,sortingFn:d.getSortingFn()})});let u=a=>{let d=[...a];return d.sort((s,g)=>{for(let c=0;c<i.length;c+=1){var f;let p=i[c],_=l[p.id],m=(f=p?.desc)!=null?f:!1;if(_.sortUndefined){let C=s.getValue(p.id),b=g.getValue(p.id),E=typeof C>"u",M=typeof b>"u";if(E||M){let I=E&&M?0:E?_.sortUndefined:-_.sortUndefined;return m&&I!==0&&(I*=-1),I}}let v=_.sortingFn(s,g,p.id);if(v!==0)return m&&(v*=-1),_.invertSorting&&(v*=-1),v}return s.index-g.index}),d.forEach(s=>{var g;r.push(s),(g=s.subRows)!=null&&g.length&&(s.subRows=u(s.subRows))}),d};return{rows:u(t.rows),flatRows:r,rowsById:t.rowsById}},{key:!1,debug:()=>{var n;return(n=e.options.debugAll)!=null?n:e.options.debugTable},onChange:()=>{e._autoResetPageIndex()}})}function nt(e,n){return e?sr(e)?D(e,n):e:null}function sr(e){return ur(e)||typeof e=="function"||ar(e)}function ur(e){return typeof e=="function"&&(()=>{let n=Object.getPrototypeOf(e);return n.prototype&&n.prototype.isReactComponent})()}function ar(e){return typeof e=="object"&&typeof e.$$typeof=="symbol"&&["react.memo","react.forward_ref"].includes(e.$$typeof.description)}function bn(e){let n={state:{},onStateChange:()=>{},renderFallbackValue:null,...e},[t]=T(()=>({current:vn(n)})),[o,r]=T(()=>t.current.initialState);return t.current.setOptions(i=>({...i,...e,state:{...o,...e.state},onStateChange:l=>{r(l),e.onStateChange==null||e.onStateChange(l)}})),t.current}function ge(){return ge=Object.assign?Object.assign.bind():function(e){for(var n=1;n<arguments.length;n++){var t=arguments[n];for(var o in t)Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o])}return e},ge.apply(this,arguments)}function fe(){return fe=Object.assign?Object.assign.bind():function(e){for(var n=1;n<arguments.length;n++){var t=arguments[n];for(var o in t)Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o])}return e},fe.apply(this,arguments)}function Q(e,n,t){var o,r=(o=t.initialDeps)!=null?o:[],i;return function(){var l;t.key&&t.debug!=null&&t.debug()&&(l=Date.now());var u=e(),a=u.length!==r.length||u.some(function(p,_){return r[_]!==p});if(!a)return i;r=u;var d;if(t.key&&t.debug!=null&&t.debug()&&(d=Date.now()),i=n.apply(void 0,u),t.key&&t.debug!=null&&t.debug()){var s=Math.round((Date.now()-l)*100)/100,g=Math.round((Date.now()-d)*100)/100,f=g/16,c=function(_,m){for(_=String(_);_.length<m;)_=" "+_;return _};console.info("%c\u23F1 "+c(g,5)+" /"+c(s,5)+" ms",`
            font-size: .6rem;
            font-weight: bold;
            color: hsl(`+Math.max(0,Math.min(120-120*f,120))+"deg 100% 31%);",t?.key)}return t==null||t.onChange==null||t.onChange(i),i}}function xe(e,n){if(e===void 0)throw new Error("Unexpected undefined"+(n?": "+n:""));return e}var wn=function(n,t){return Math.abs(n-t)<1};var dr=function(n){return n},cr=function(n){for(var t=Math.max(n.startIndex-n.overscan,0),o=Math.min(n.endIndex+n.overscan,n.count-1),r=[],i=t;i<=o;i++)r.push(i);return r},Cn=function(n,t){var o=n.scrollElement;if(o){var r=function(u){var a=u.width,d=u.height;t({width:Math.round(a),height:Math.round(d)})};r(o.getBoundingClientRect());var i=new ResizeObserver(function(l){var u=l[0];if(u!=null&&u.borderBoxSize){var a=u.borderBoxSize[0];if(a){r({width:a.inlineSize,height:a.blockSize});return}}r(o.getBoundingClientRect())});return i.observe(o,{box:"border-box"}),function(){i.unobserve(o)}}};var Rn=function(n,t){var o=n.scrollElement;if(o){var r=function(){t(o[n.options.horizontal?"scrollLeft":"scrollTop"])};return r(),o.addEventListener("scroll",r,{passive:!0}),function(){o.removeEventListener("scroll",r)}}};var gr=function(n,t,o){if(t!=null&&t.borderBoxSize){var r=t.borderBoxSize[0];if(r){var i=Math.round(r[o.options.horizontal?"inlineSize":"blockSize"]);return i}}return Math.round(n.getBoundingClientRect()[o.options.horizontal?"width":"height"])};var En=function(n,t,o){var r,i,l=t.adjustments,u=l===void 0?0:l,a=t.behavior,d=n+u;(r=o.scrollElement)==null||r.scrollTo==null||r.scrollTo((i={},i[o.options.horizontal?"left":"top"]=d,i.behavior=a,i))},xn=function(n){var t=this;this.unsubs=[],this.scrollElement=null,this.isScrolling=!1,this.isScrollingTimeoutId=null,this.scrollToIndexTimeoutId=null,this.measurementsCache=[],this.itemSizeCache=new Map,this.pendingMeasuredCacheIndexes=[],this.scrollDirection=null,this.scrollAdjustments=0,this.measureElementCache=new Map,this.observer=function(){var o=null,r=function(){return o||(typeof ResizeObserver<"u"?o=new ResizeObserver(function(l){l.forEach(function(u){t._measureElement(u.target,u)})}):null)};return{disconnect:function(){var l;return(l=r())==null?void 0:l.disconnect()},observe:function(l){var u;return(u=r())==null?void 0:u.observe(l,{box:"border-box"})},unobserve:function(l){var u;return(u=r())==null?void 0:u.unobserve(l)}}}(),this.range={startIndex:0,endIndex:0},this.setOptions=function(o){Object.entries(o).forEach(function(r){var i=r[0],l=r[1];typeof l>"u"&&delete o[i]}),t.options=fe({debug:!1,initialOffset:0,overscan:1,paddingStart:0,paddingEnd:0,scrollPaddingStart:0,scrollPaddingEnd:0,horizontal:!1,getItemKey:dr,rangeExtractor:cr,onChange:function(){},measureElement:gr,initialRect:{width:0,height:0},scrollMargin:0,scrollingDelay:150,indexAttribute:"data-index",initialMeasurementsCache:[],lanes:1},o)},this.notify=function(){t.options.onChange==null||t.options.onChange(t)},this.cleanup=function(){t.unsubs.filter(Boolean).forEach(function(o){return o()}),t.unsubs=[],t.scrollElement=null},this._didMount=function(){return t.measureElementCache.forEach(t.observer.observe),function(){t.observer.disconnect(),t.cleanup()}},this._willUpdate=function(){var o=t.options.getScrollElement();t.scrollElement!==o&&(t.cleanup(),t.scrollElement=o,t._scrollToOffset(t.scrollOffset,{adjustments:void 0,behavior:void 0}),t.unsubs.push(t.options.observeElementRect(t,function(r){var i=t.scrollRect;t.scrollRect=r,(t.options.horizontal?r.width!==i.width:r.height!==i.height)&&t.maybeNotify()})),t.unsubs.push(t.options.observeElementOffset(t,function(r){t.scrollAdjustments=0,t.scrollOffset!==r&&(t.isScrollingTimeoutId!==null&&(clearTimeout(t.isScrollingTimeoutId),t.isScrollingTimeoutId=null),t.isScrolling=!0,t.scrollDirection=t.scrollOffset<r?"forward":"backward",t.scrollOffset=r,t.maybeNotify(),t.isScrollingTimeoutId=setTimeout(function(){t.isScrollingTimeoutId=null,t.isScrolling=!1,t.scrollDirection=null,t.maybeNotify()},t.options.scrollingDelay))})))},this.getSize=function(){return t.scrollRect[t.options.horizontal?"width":"height"]},this.memoOptions=Q(function(){return[t.options.count,t.options.paddingStart,t.options.scrollMargin,t.options.getItemKey]},function(o,r,i,l){return t.pendingMeasuredCacheIndexes=[],{count:o,paddingStart:r,scrollMargin:i,getItemKey:l}},{key:!1}),this.getFurthestMeasurement=function(o,r){for(var i=new Map,l=new Map,u=r-1;u>=0;u--){var a=o[u];if(!i.has(a.lane)){var d=l.get(a.lane);if(d==null||a.end>d.end?l.set(a.lane,a):a.end<d.end&&i.set(a.lane,!0),i.size===t.options.lanes)break}}return l.size===t.options.lanes?Array.from(l.values()).sort(function(s,g){return s.end-g.end})[0]:void 0},this.getMeasurements=Q(function(){return[t.memoOptions(),t.itemSizeCache]},function(o,r){var i=o.count,l=o.paddingStart,u=o.scrollMargin,a=o.getItemKey,d=t.pendingMeasuredCacheIndexes.length>0?Math.min.apply(Math,t.pendingMeasuredCacheIndexes):0;t.pendingMeasuredCacheIndexes=[];for(var s=t.measurementsCache.slice(0,d),g=d;g<i;g++){var f=a(g),c=t.options.lanes===1?s[g-1]:t.getFurthestMeasurement(s,g),p=c?c.end:l+u,_=r.get(f),m=typeof _=="number"?_:t.options.estimateSize(g),v=p+m,C=c?c.lane:g%t.options.lanes;s[g]={index:g,start:p,size:m,end:v,key:f,lane:C}}return t.measurementsCache=s,s},{key:!1,debug:function(){return t.options.debug}}),this.calculateRange=Q(function(){return[t.getMeasurements(),t.getSize(),t.scrollOffset]},function(o,r,i){return t.range=fr({measurements:o,outerSize:r,scrollOffset:i})},{key:!1,debug:function(){return t.options.debug}}),this.maybeNotify=Q(function(){var o=t.calculateRange();return[o.startIndex,o.endIndex,t.isScrolling]},function(){t.notify()},{key:!1,debug:function(){return t.options.debug},initialDeps:[this.range.startIndex,this.range.endIndex,this.isScrolling]}),this.getIndexes=Q(function(){return[t.options.rangeExtractor,t.calculateRange(),t.options.overscan,t.options.count]},function(o,r,i,l){return o(fe({},r,{overscan:i,count:l}))},{key:!1,debug:function(){return t.options.debug}}),this.indexFromElement=function(o){var r=t.options.indexAttribute,i=o.getAttribute(r);return i?parseInt(i,10):(console.warn("Missing attribute name '"+r+"={index}' on measured element."),-1)},this._measureElement=function(o,r){var i,l=t.indexFromElement(o),u=t.measurementsCache[l];if(u){var a=t.measureElementCache.get(u.key);if(!o.isConnected){t.observer.unobserve(o),o===a&&t.measureElementCache.delete(u.key);return}a!==o&&(a&&t.observer.unobserve(a),t.observer.observe(o),t.measureElementCache.set(u.key,o));var d=t.options.measureElement(o,r,t),s=(i=t.itemSizeCache.get(u.key))!=null?i:u.size,g=d-s;g!==0&&(u.start<t.scrollOffset&&t._scrollToOffset(t.scrollOffset,{adjustments:t.scrollAdjustments+=g,behavior:void 0}),t.pendingMeasuredCacheIndexes.push(l),t.itemSizeCache=new Map(t.itemSizeCache.set(u.key,d)),t.notify())}},this.measureElement=function(o){o&&t._measureElement(o,void 0)},this.getVirtualItems=Q(function(){return[t.getIndexes(),t.getMeasurements()]},function(o,r){for(var i=[],l=0,u=o.length;l<u;l++){var a=o[l],d=r[a];i.push(d)}return i},{key:!1,debug:function(){return t.options.debug}}),this.getVirtualItemForOffset=function(o){var r=t.getMeasurements();return xe(r[$n(0,r.length-1,function(i){return xe(r[i]).start},o)])},this.getOffsetForAlignment=function(o,r){var i=t.getSize();r==="auto"&&(o<=t.scrollOffset?r="start":o>=t.scrollOffset+i?r="end":r="start"),r==="start"?o=o:r==="end"?o=o-i:r==="center"&&(o=o-i/2);var l=t.options.horizontal?"scrollWidth":"scrollHeight",u=t.scrollElement?"document"in t.scrollElement?t.scrollElement.document.documentElement[l]:t.scrollElement[l]:0,a=u-t.getSize();return Math.max(Math.min(a,o),0)},this.getOffsetForIndex=function(o,r){r===void 0&&(r="auto"),o=Math.max(0,Math.min(o,t.options.count-1));var i=xe(t.getMeasurements()[o]);if(r==="auto")if(i.end>=t.scrollOffset+t.getSize()-t.options.scrollPaddingEnd)r="end";else if(i.start<=t.scrollOffset+t.options.scrollPaddingStart)r="start";else return[t.scrollOffset,r];var l=r==="end"?i.end+t.options.scrollPaddingEnd:i.start-t.options.scrollPaddingStart;return[t.getOffsetForAlignment(l,r),r]},this.isDynamicMode=function(){return t.measureElementCache.size>0},this.cancelScrollToIndex=function(){t.scrollToIndexTimeoutId!==null&&(clearTimeout(t.scrollToIndexTimeoutId),t.scrollToIndexTimeoutId=null)},this.scrollToOffset=function(o,r){var i=r===void 0?{}:r,l=i.align,u=l===void 0?"start":l,a=i.behavior;t.cancelScrollToIndex(),a==="smooth"&&t.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),t._scrollToOffset(t.getOffsetForAlignment(o,u),{adjustments:void 0,behavior:a})},this.scrollToIndex=function(o,r){var i=r===void 0?{}:r,l=i.align,u=l===void 0?"auto":l,a=i.behavior;o=Math.max(0,Math.min(o,t.options.count-1)),t.cancelScrollToIndex(),a==="smooth"&&t.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size.");var d=t.getOffsetForIndex(o,u),s=d[0],g=d[1];t._scrollToOffset(s,{adjustments:void 0,behavior:a}),a!=="smooth"&&t.isDynamicMode()&&(t.scrollToIndexTimeoutId=setTimeout(function(){t.scrollToIndexTimeoutId=null;var f=t.measureElementCache.has(t.options.getItemKey(o));if(f){var c=t.getOffsetForIndex(o,g),p=c[0];wn(p,t.scrollOffset)||t.scrollToIndex(o,{align:g,behavior:a})}else t.scrollToIndex(o,{align:g,behavior:a})}))},this.scrollBy=function(o,r){var i=r===void 0?{}:r,l=i.behavior;t.cancelScrollToIndex(),l==="smooth"&&t.isDynamicMode()&&console.warn("The `smooth` scroll behavior is not fully supported with dynamic size."),t._scrollToOffset(t.scrollOffset+o,{adjustments:void 0,behavior:l})},this.getTotalSize=function(){var o;return(((o=t.getMeasurements()[t.options.count-1])==null?void 0:o.end)||t.options.paddingStart)-t.options.scrollMargin+t.options.paddingEnd},this._scrollToOffset=function(o,r){var i=r.adjustments,l=r.behavior;t.options.scrollToFn(o,{behavior:l,adjustments:i},t)},this.measure=function(){t.itemSizeCache=new Map,t.notify()},this.setOptions(n),this.scrollRect=this.options.initialRect,this.scrollOffset=this.options.initialOffset,this.measurementsCache=this.options.initialMeasurementsCache,this.measurementsCache.forEach(function(o){t.itemSizeCache.set(o.key,o.size)}),this.maybeNotify()},$n=function(n,t,o,r){for(;n<=t;){var i=(n+t)/2|0,l=o(i);if(l<r)n=i+1;else if(l>r)t=i-1;else return i}return n>0?n-1:0};function fr(e){for(var n=e.measurements,t=e.outerSize,o=e.scrollOffset,r=n.length-1,i=function(d){return n[d].start},l=$n(0,r,i,o),u=l;u<r&&n[u].end<o+t;)u++;return{startIndex:l,endIndex:u}}var pr=typeof document<"u"?L:G;function _r(e){var n=ae(function(){return{}},{})[1],t=ge({},e,{onChange:function(l){n(),e.onChange==null||e.onChange(l)}}),o=T(function(){return new xn(t)}),r=o[0];return r.setOptions(t),G(function(){return r._didMount()},[]),pr(function(){return r._willUpdate()}),r}function Fn(e){return _r(ge({observeElementRect:Cn,observeElementOffset:Rn,scrollToFn:En},e))}function Mn(e){return{render(n){Pe(n,e)},unmount(){ze(e)}}}function Vn(e,n,t){let o=Object.assign({top:0,right:0,bottom:0,left:0},t),r=e,i=r.scrollTop+o.top,l=r.scrollLeft+o.left,u=i+r.clientHeight-o.top-o.bottom,a=l+r.clientWidth-o.left-o.right;for(let d=0;d<n.length;d++){let s=n[d],g=s.offsetTop,f=s.offsetLeft;if(g>=i&&g<=u&&f>=l&&f<=a)return s}return null}function ot(e,n){return document?.defaultView?.getComputedStyle(e,null)?.getPropertyValue(n)}var oe=class{constructor(n){this._set=n}static empty(){return this._empty}static just(...n){return this.empty().add(...n)}has(n){return this._set.has(n)}add(...n){let t=new Set(this._set.keys());for(let o of n)t.add(o);return new oe(t)}toggle(n){return this.has(n)?this.delete(n):this.add(n)}delete(n){let t=new Set(this._set.keys());return t.delete(n),new oe(t)}clear(){return oe.empty()}[Symbol.iterator](){return this._set[Symbol.iterator]()}toList(){return[...this._set.keys()]}},A=oe;A._empty=new oe(new Set);function Dn(e,n,t,o){let[r,i]=T(A.empty()),[l,u]=T(null),a=s=>{if(e==="none")return;let g=s.currentTarget,f=n(g),c=mr(e,o,r,s,f,l);c&&(i(c.selection),c.anchor&&(u(f),g.focus()),s.preventDefault())},d=s=>{if(e==="none")return;let g=s.currentTarget,f=n(g),c=r.has(f);if(e==="single"){if(s.key===" "||s.key==="Enter")r.has(f)?i(A.empty()):i(A.just(f)),s.preventDefault();else if(s.key==="ArrowUp"||s.key==="ArrowDown"){let p=t(f,s.key==="ArrowUp"?-1:1);p&&(s.preventDefault(),c&&i(A.just(p)))}}else e==="multiple"&&(s.key===" "||s.key==="Enter"?(i(r.toggle(f)),s.preventDefault()):(s.key==="ArrowUp"||s.key==="ArrowDown")&&t(f,s.key==="ArrowUp"?-1:1)&&s.preventDefault())};return{has(s){return r.has(s)},set(s,g){i(g?r.add(s):r.delete(s))},clear(){i(r.clear())},keys(){return r},itemHandlers(){return{onMouseDown:a,onKeyDown:d}}}}var In=/^mac/i.test(window.navigator.userAgentData?.platform??window.navigator.platform);function mr(e,n,t,o,r,i){let{shiftKey:l,altKey:u}=o,a=In?o.metaKey:o.ctrlKey;if((In?o.ctrlKey:o.metaKey)||u)return null;if(e==="multiple")return{selection:t.toggle(r),anchor:!0};if(e==="single")return a&&!l?t.has(r)?{selection:A.empty(),anchor:!0}:{selection:A.just(r),anchor:!0}:{selection:A.just(r),anchor:!0};if(e==="multi-native")if(l&&a){let s=n(i,r);return{selection:t.add(...s)}}else{if(a)return{selection:t.toggle(r),anchor:!0};if(l){if(i!==null&&n){let s=n(i,r);return{selection:A.just(...s)}}}else return{selection:A.just(r),anchor:!0}}}var Tn={className:"sort-arrow",viewBox:[-1,-1,2,2].map(e=>e*1.4).join(" "),width:"100%",height:"100%",style:{paddingLeft:"3px"}},An={stroke:"#333333",strokeWidth:"0.6",fill:"transparent"},hr=S.createElement("svg",{xmlns:"http://www.w3.org/2000/svg",...Tn},S.createElement("path",{d:"M -1 0.5 L 0 -0.5 L 1 0.5",...An,strokeLinecap:"round"})),vr=S.createElement("svg",{xmlns:"http://www.w3.org/2000/svg",...Tn},S.createElement("path",{d:"M -1 -0.5 L 0 0.5 L 1 -0.5",...An,strokeLinecap:"round"})),On=({direction:e})=>{if(!e)return null;if(e==="asc")return hr;if(e==="desc")return vr;throw new Error(`Unexpected sort direction: '${e}'`)};function kn(e,n,t){let[o,r]=T(0),i=S.useCallback(u=>{r(-1),u.target===u.currentTarget&&Vn(e,n(),t)?.focus()},[e,n,t]),l=S.useCallback(u=>{r(0)},[]);return{containerTabIndex:o,containerHandlers:{onFocus:i,onBlur:l}}}function Nn(e,n,t,o,r){return B(()=>{let i=e??!0;if(!i)return null;let l=typeof i=="string"?i:"Viewing rows {start} through {end} of {total}";if(!n||t.length===0)return null;let u=n.scrollTop+o.clientHeight,a=n.scrollTop+n.clientHeight,[d,s]=yr(u,a,t,(p,_)=>p.start+p.size/2);if(d===null||s===null)return null;let g=t[d],f=t[s];if(g.index===0&&f.index===r-1)return null;let c=Sr(l,g.index+1,f.index+1,r);return S.createElement("div",{className:"shiny-data-grid-summary"},c)},[e,n,t,o,r])}function yr(e,n,t,o){let r=null,i=null;for(let l=0;l<t.length;l++){let u=t[l];if(r===null)o(u,!0)>=e&&(r=l,i=l);else if(o(u,!1)<=n)i=l;else break}return[r,i]}function Sr(e,n,t,o){return e.replace(/\{(start|end|total)\}/g,(r,i)=>i==="start"?n+"":i==="end"?t+"":i==="total"?o+"":r)}var br=e=>{let{id:n,data:t,bgcolor:o}=e,{columns:r,index:i,data:l}=t,{width:u,height:a}=t.options,d={};i.forEach(R=>{d[R+""]=R});let s=Y(null),g=Y(null),f=Y(null),c=Fn({count:l.length,getScrollElement:()=>s.current,estimateSize:()=>31,paddingStart:g.current?.clientHeight??0,scrollingDelay:10});L(()=>{c.scrollToOffset(0)},[t]);let p=c.getTotalSize(),_=c.getVirtualItems(),m=B(()=>r.map((R,V)=>({accessorFn:(x,X)=>x[V],header:R})),[r]),C={data:B(()=>[...l],[l]),columns:m,getCoreRowModel:yn(),getSortedRowModel:Sn()},b=bn(C),E=(_.length>0&&_?.[0]?.start||0)-g.current?.clientHeight,M=_.length>0?p-(_?.[_.length-1]?.end||0):0,I=Nn(t.options.summary,s?.current,_,g.current,l.length),j=t.options.style??"grid",F=j==="grid"?"shiny-data-grid-grid":"shiny-data-grid-table",Z=j==="table"?"table table-sm":null,re=t.options.row_selection_mode??"multi-native",Rr=re!=="none",Ln=re==="multi-native"||re==="multiple",ie=Dn(re,R=>R.dataset.key,(R,V)=>{let x=b.getSortedRowModel(),X=x.rows.findIndex(ut=>ut.id===R);if(X<0||(X+=V,X<0||X>=x.rows.length))return null;let st=x.rows[X].id;return c.scrollToIndex(X),setTimeout(()=>{s.current?.querySelector(`[data-key='${st}']`)?.focus()},0),st},(R,V)=>wr(b.getSortedRowModel(),R,V));G(()=>{n&&(re==="none"?Shiny.setInputValue(`${n}_selected_rows`,null):Shiny.setInputValue(`${n}_selected_rows`,ie.keys().toList().map(R=>d[R])))},[[...ie.keys()]]);let zn=S.useCallback(()=>f.current.querySelectorAll("[tabindex='-1']"),[f.current]),lt=kn(s.current,zn,{top:g.current?.clientHeight??0});G(()=>()=>{b.resetSorting(),ie.clear()},[t]);let Gn=b.getHeaderGroups().length,Bn=s.current?.scrollHeight>s.current?.clientHeight?"scrolling":"",Un=R=>V=>{(V.key===" "||V.key==="Enter")&&R.toggleSorting(void 0,V.shiftKey)},jn=Cr(c);return S.createElement(S.Fragment,null,S.createElement("div",{className:`shiny-data-grid ${F} ${Bn}`,ref:s,style:{width:u,maxHeight:a,overflow:"auto"}},S.createElement("table",{className:Z,"aria-rowcount":l.length,"aria-multiselectable":Ln,style:{width:u===null||u==="auto"?null:"100%"}},S.createElement("thead",{ref:g,style:{backgroundColor:o}},b.getHeaderGroups().map((R,V)=>S.createElement("tr",{key:R.id,"aria-rowindex":V+1},R.headers.map(x=>S.createElement("th",{key:x.id,colSpan:x.colSpan,style:{width:x.getSize()},scope:"col",tabIndex:0,onClick:x.column.getToggleSortingHandler(),onKeyDown:Un(x.column)},x.isPlaceholder?null:S.createElement("div",{style:{cursor:x.column.getCanSort()?"pointer":null,userSelect:x.column.getCanSort()?"none":null}},nt(x.column.columnDef.header,x.getContext()),S.createElement(On,{direction:x.column.getIsSorted()}))))))),S.createElement("tbody",{ref:f,tabIndex:lt.containerTabIndex,...lt.containerHandlers},E>0&&S.createElement("tr",{style:{height:`${E}px`}}),_.map(R=>{let V=b.getRowModel().rows[R.index];return S.createElement("tr",{key:R.key,"data-index":R.index,"aria-rowindex":R.index+Gn,"data-key":V.id,ref:jn,"aria-selected":ie.has(V.id),tabIndex:-1,...ie.itemHandlers()},V.getVisibleCells().map(x=>S.createElement("td",{key:x.id},nt(x.column.columnDef.cell,x.getContext()))))}),M>0&&S.createElement("tr",{style:{height:`${M}px`}})))),I)};function wr(e,n,t){let o=e.rows.findIndex(l=>l.id===n),r=e.rows.findIndex(l=>l.id===t);if(o<0||r<0)return[];o>r&&([o,r]=[r,o]);let i=[];for(let l=o;l<=r;l++)i.push(e.rows[l].id);return i}function Cr(e){let n=Y([]),t=Se(o=>{o&&(o.isConnected?e.measureElement(o):n.current.push(o))},[e]);return L(()=>{n.current.length>0&&n.current.splice(0).forEach(e.measureElement)}),t}var rt=class extends Shiny.OutputBinding{find(n){return $(n).find("shiny-data-frame")}renderValue(n,t){n.renderValue(t)}renderError(n,t){n.classList.add("shiny-output-error"),n.renderError(t)}clearError(n){n.classList.remove("shiny-output-error"),n.clearError()}};Shiny.outputBindings.register(new rt,"shinyDataFrame");function Hn(e){if(!e)return null;let n=ot(e,"background-color");if(!n)return n;let t=n.match(/^rgba\(\s*([\d.]+)\s*,\s*([\d.]+)\s*,\s*([\d.]+)\s*,\s*([\d.]+)\s*\)$/);if(n==="transparent"||t&&parseFloat(t[4])===0){let o=ot(e,"background-image");return o&&o!=="none"?null:Hn(e.parentElement)}return n}var Pn=document.createElement("template");Pn.innerHTML=`<style>${at}</style>`;var it=class extends HTMLElement{connectedCallback(){let[t]=[this];t.appendChild(Pn.content.cloneNode(!0)),this.errorRoot=document.createElement("span"),t.appendChild(this.errorRoot);let o=document.createElement("div");o.classList.add("html-fill-container","html-fill-item"),t.appendChild(o),this.reactRoot=Mn(o);let r=this.querySelector("script.data");if(r){let i=JSON.parse(r.innerText);this.renderValue(i)}}renderValue(t){if(this.clearError(),!t){this.reactRoot.render(null);return}this.reactRoot.render(S.createElement(Ge,null,S.createElement(br,{id:this.id,data:t,bgcolor:Hn(this)})))}renderError(t){this.reactRoot.render(null),this.errorRoot.innerText=t.message}clearError(){this.reactRoot.render(null),this.errorRoot.innerText=""}};customElements.define("shiny-data-frame",it);export{it as ShinyDataFrameOutput};
/*! Bundled license information:

@tanstack/table-core/build/lib/index.mjs:
  (**
   * table-core
   *
   * Copyright (c) TanStack
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE.md file in the root directory of this source tree.
   *
   * @license MIT
   *)

@tanstack/react-table/build/lib/index.mjs:
  (**
   * react-table
   *
   * Copyright (c) TanStack
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE.md file in the root directory of this source tree.
   *
   * @license MIT
   *)

@tanstack/react-virtual/build/lib/_virtual/_rollupPluginBabelHelpers.mjs:
  (**
   * react-virtual
   *
   * Copyright (c) TanStack
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE.md file in the root directory of this source tree.
   *
   * @license MIT
   *)

@tanstack/virtual-core/build/lib/_virtual/_rollupPluginBabelHelpers.mjs:
  (**
   * virtual-core
   *
   * Copyright (c) TanStack
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE.md file in the root directory of this source tree.
   *
   * @license MIT
   *)

@tanstack/virtual-core/build/lib/utils.mjs:
  (**
   * virtual-core
   *
   * Copyright (c) TanStack
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE.md file in the root directory of this source tree.
   *
   * @license MIT
   *)

@tanstack/virtual-core/build/lib/index.mjs:
  (**
   * virtual-core
   *
   * Copyright (c) TanStack
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE.md file in the root directory of this source tree.
   *
   * @license MIT
   *)

@tanstack/react-virtual/build/lib/index.mjs:
  (**
   * react-virtual
   *
   * Copyright (c) TanStack
   *
   * This source code is licensed under the MIT license found in the
   * LICENSE.md file in the root directory of this source tree.
   *
   * @license MIT
   *)
*/
//# sourceMappingURL=index.js.map
